app_angular.register.controller('account_balanceCtrl',function($scope,$rootScope,$location,httpLoading){
    $scope.pageId = 5;
    $scope.pageClass = app.currentPageLeftOrRight($scope.pageId);
    app.oldPageLeftOrRight($scope.pageClass);

    //$scope.pageClass="account_balance";
    app.loadcss(app.css.account_balance_css+app.version);
    $scope.fixed_number = app.fixed_number;
    $scope.balance = $rootScope.balance;
    $rootScope.currency = app.tips.currency; //货币符号
    $scope.advance = 0;
    //var member_id = sessionStorage.getItem("member_id");

    var member_id = localStorage.getItem("member_id");

    httpLoading.interFace(app.interface_url,'get_member_pointcount').then(function(interface_data){
        var data = app.filter_interface(interface_data);
        if(data.status == "succ"){
            $scope.pointcount=data.response.pay_points;
            $scope.total_amount=data.response.total_amount;
            if(parseInt($scope.pointcount) > 0){
                $scope.status = 0;
            }
            if(parseInt(data.response.total_amount) > parseInt(data.response.pay_points)){     
                app.toast('积分不足，不够使用');
                $location.path("/confirmOrder");
            }
        }else{
            app.toast(data.message);
        }
    },function(error){});
    
    $scope.use_balance = function(){
        $scope.balance = jq('#balance').val();
        // if($scope.total_amount == " " && $scope.total_amount == null ){
        //     $scope.total_amount = $location.search().totalPrice;
        // }
        httpLoading.interFace(app.interface_url,'get_member_balance',{balance:$scope.balance}).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.points =data.response;
                // $scope.total_amount = $location.search().totalPrice;
                $scope.total_amount = localStorage.getItem('total_money');
                if($scope.points > $scope.total_amount){
                    app.toast('积分不能大于商品的价格')
                    return false;
                }
                //优惠的金额
                localStorage.setItem("points",$scope.points);
                //使用的积分
                localStorage.setItem("pay_points",$scope.balance);
                $location.path("/confirmOrder");

            }else{
                app.toast(data.message);
            }
        },function(error){});

    };
    
    
    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };
});