app_angular.register.controller('add_bankcardCtrl', function ($scope, $rootScope, $route, $routeParams, $http, $location, httpLoading,$state) {
    app.loadcss(app.css.add_bankcard_css + app.version);
    app.loadjs(app.js.md5_js + app.version);
    $scope.load = function () {
        app.handle_page_css();
        app.getFontSize();
    }
    $scope.isShow=true;
    $scope.isShows=function(){
        $scope.isShow=true;
    }
    $scope.isModel=false;
    $scope.showModel=function(){
        $scope.isModel=false;
    };
    
    $scope.card_id = localStorage.getItem("card_id");
    $scope.name = localStorage.getItem("name");
    $scope.card_no = localStorage.getItem("card_no");
    $scope.card_type = localStorage.getItem("card_type");
    $scope.bank_name = localStorage.getItem("bank_name");
    $scope.add_bankcard = function(){
        if($scope.name == null){
            app.toast(app.tips.name);
        }else if($scope.card_no == null){
            app.toast(app.tips.reg_not_equal_pass);
        }else if($scope.bank_name == null){
            app.toast(app.tips.bank_name);
        }else{   
            var obj = {
                name  : $scope.name,
                card_no  : $scope.card_no,
                bank_name  : $scope.bank_name,
                card_type  : $scope.card_type,
                card_id  : $scope.card_id,
            };
            httpLoading.interFace(app.interface_url,'add_bankcard',obj).then(function(interface_data){
                var data = app.filter_interface(interface_data);
                if(data.status == "succ"){
                    localStorage.setItem("card_id",data.response.card_id);
                    localStorage.setItem("name",data.response.name);
                    localStorage.setItem("card_no",data.response.card_no);
                    localStorage.setItem("bank_name",data.response.bank_name);
                    localStorage.setItem("card_type",data.response.card_type);
                    location="#/add_bankcard_mobile";
                }else{
                    app.toast(data.message);
                }
            },function(error){});
        }
    };
})