app_angular.register.controller('add_bankcard_mobileCtrl', function ($scope, $rootScope, $route, $routeParams, $http, $location, httpLoading,$state) {
    app.loadcss(app.css.add_bankcard_css + app.version);
    app.loadjs(app.js.md5_js + app.version);
    $scope.load = function () {
        app.handle_page_css();
        app.getFontSize();
    }
    $scope.isShow=true;
    $scope.isShows=function(){
        $scope.isShow=true;
    }
    $scope.isModel=false;
    $scope.showModel=function(){
        $scope.isModel=false;
    };
    $scope.get_verifycode = function(){
        if($scope.mobile == null){
            app.toast(app.tips.mobile);
        }else if(!app.validate.mobileNo($scope.mobile)){
            app.toast(app.tips.addr_mobile);
        }else{
            var user_message = {"mobile":$scope.mobile};
            httpLoading.interFace(app.interface_url,'get_verifycode',user_message).then(function(interface_data){
                var data = app.filter_interface(interface_data);
                if(data.status == "succ"){
                    app.toast(data.message);
                }else{
                    app.toast(data.message);
                }  
            },function(error){});
        }  
    };
    $scope.set_mobile_bank = function(){
        if($scope.mobile == null){
            app.toast(app.tips.mobile);
        }else if(!app.validate.mobileNo($scope.mobile)){
            app.toast(app.tips.addr_mobile);
        }else if($scope.vcode == null){
            app.toast(app.tips.mobile_code);
        }
        else{
            var user_message = {"mobile":$scope.mobile,"vcode":$scope.vcode,"card_id":localStorage.getItem("card_id")};
            httpLoading.interFace(app.interface_url,'set_mobile_bank',user_message).then(function(interface_data){
                var data = app.filter_interface(interface_data);
                if(data.status == "succ"){
                    app.toast(data.message);
                    $scope.card_id = localStorage.removeItem("card_id");
                    $scope.name = localStorage.removeItem("name");
                    $scope.card_no = localStorage.removeItem("card_no");
                    $scope.card_type = localStorage.removeItem("card_type");
                    $scope.bank_name = localStorage.removeItem("bank_name");
                    location="#/bankcard_list";
                }else{
                    app.toast(data.message);
                }  
            },function(error){});
        }  
    };
    
})