app_angular.register.controller('bankcard_detailCtrl', function ($scope, $rootScope, $route, $routeParams, $http, $location, httpLoading,$state) {
    app.loadcss(app.css.bankcard_detail_css + app.version);
    app.loadjs(app.js.md5_js + app.version);
    $scope.load = function () {
        app.handle_page_css();
        app.getFontSize();
    }
    $scope.isactive=false;
    $scope.showModel=function(){
        this.isactive=true
    };
    $scope.init = function(){
        $scope.params = {card_id:$location.search().card_id};
        httpLoading.interFace(app.interface_url,'get_bankcard_detail',$scope.params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.bankinfo = data.bankinfo;
            }else{
                app.toast(data.message);
                location="#/bankcard_list";
            }
        },function(error){});
    };
    $scope.init();
    
    $scope.del_bank_card = function(){
        $scope.params = {card_id:$location.search().card_id};
        httpLoading.interFace(app.interface_url,'del_bank_card',$scope.params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                app.toast(data.message);
                location="#/bankcard_list";
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
})