app_angular.register.controller('bankcard_retrieveCtrl', function ($scope, $rootScope, $route, $routeParams, $http, $location, httpLoading,$state) {
    app.loadcss(app.css.bankcard_retrieve_css + app.version);
    app.loadjs(app.js.md5_js + app.version);

    $scope.load = function () {
        app.handle_page_css();
        app.getFontSize();
    };
    $scope.get_verifycode = function(){
        if($scope.mobile == null){
            app.toast(app.tips.mobile);
        }else if(!app.validate.mobileNo($scope.mobile)){
            app.toast(app.tips.addr_mobile);
        }else{
            var user_message = {"mobile":$scope.mobile};
            httpLoading.interFace(app.interface_url,'get_verifycode',user_message).then(function(interface_data){
                var data = app.filter_interface(interface_data);
                if(data.status == "succ"){
                    app.toast(data.message);
                }else{
                    app.toast(data.message);
                }  
            },function(error){});
        }  
    };
    $scope.set_mobile_card = function(){
        if($scope.mobile == null){
            app.toast(app.tips.mobile);
        }else if(!app.validate.mobileNo($scope.mobile)){
            app.toast(app.tips.addr_mobile);
        }else if($scope.vcode == null){
            app.toast(app.tips.mobile_code);
        }
        else if($scope.bank_card == null){
            app.toast(app.tips.bank_card);
        }
        else{
            var user_message = {"mobile":$scope.mobile,"vcode":$scope.vcode,"bank_card":$scope.bank_card};
            httpLoading.interFace(app.interface_url,'set_mobile_card',user_message).then(function(interface_data){
                var data = app.filter_interface(interface_data);
                if(data.status == "succ"){
                    app.toast(data.message);
                    location="#/reset_paypassword";
                }else{
                    app.toast(data.message);
                }  
            },function(error){});
        }  
    };
})