app_angular.register.controller('cash_couponCtrl',function($scope,$rootScope,$routeParams,$location,httpLoading,$state){
    $scope.pageId = 5;
    $scope.pageClass = app.currentPageLeftOrRight($scope.pageId);
    app.oldPageLeftOrRight($scope.pageClass);
    $scope.coupon_code = null;
    $scope.member_id = localStorage.getItem("member_id");
    $scope.showorhide=true;
    $scope.page = 1;
    $scope.pagelimit = 100;
    $rootScope.currency = app.tips.currency; //货币符号
    $scope.take_coupon = function(){
        httpLoading.interFace(app.interface_url,'get_cart_checkout',{}).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.use_coupons = data.response.object.coupon || null;
                if($scope.use_coupons){
                    var temp_coupons  = {};
                    for(var i =0; i<$scope.use_coupons.length; i++){
                        if($scope.use_coupons[i].used){
                            temp_coupons[$scope.use_coupons[i].coupon] = $scope.use_coupons[i];
                        }
                    }
                    $scope.use_coupons = temp_coupons;
                    var params = {
                        "status"    : "yes"
                    }
                    httpLoading.interFace(app.interface_url,'get_member_coupons',params).then(function(interface_data){
                        var data = app.filter_interface(interface_data);
                        if(data.status == "succ"){
                            $scope.coupons = data.response;
                        }
                        if($scope.use_coupons){
                            for (var i = 0; i<$scope.coupons.length; i++) {
                                if($scope.use_coupons[$scope.coupons[i].memc_code]){
                                    $scope.coupons[i].obj_ident = $scope.use_coupons[$scope.coupons[i].memc_code].obj_ident;
                                    $scope.coupons[i].used      = $scope.use_coupons[$scope.coupons[i].memc_code].used;
                                    delete $scope.use_coupons[$scope.coupons[i].memc_code];
                                }else{
                                    $scope.coupons[i].used      = false;
                                }
                            };
                            if($scope.use_coupons){
                                for(key in $scope.use_coupons){
                                    $scope.use_coupons[key].cpns_name = $scope.use_coupons[key].name;
                                    $scope.coupons.push($scope.use_coupons[key]);
                                }
                            }
                        }
                    },function(error){});
                }
            }
        },function(error){});
    }
    $scope.use_coupon=function(){
        var params = {
            "coupon_code"    :    $scope.coupon_code
        };
        httpLoading.interFace(app.interface_url,'add_cart_coupons',params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.take_coupon();
                sessionStorage.setItem("coupon_code",JSON.stringify($scope.coupon_code));
            }else{
                app.toast(data.message);
            }
        },function(error){});  
    };
    $scope.use_coupon2 = function(currentTarget){
        var coupon_code = currentTarget.getAttribute("data-memc-code");
        var params = {
            "coupon_code"    :    coupon_code
        };
        httpLoading.interFace(app.interface_url,'add_cart_coupons',params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.take_coupon();
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    $scope.del_coupon=function(cpn_ident){
        var obj={
            "cpn_ident"        :    cpn_ident
        };
        httpLoading.interFace(app.interface_url,'del_cart_coupons',obj).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.take_coupon();
            }else{
                app.toast(data.message);
            }            
        },function(error){});  
    };
    $scope.go_confirmOrder = function(){
        location="#/confirmOrder";
    };

    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
        $scope.take_coupon();
    };
});