app_angular.register.controller('categoryCtrl',function($scope,$ionicHistory,$rootScope,$http,$location,$routeParams,httpLoading,$ionicScrollDelegate,$state){
    $rootScope.currency = app.tips.currency; //货币符号


    var $s = $scope;
        $s.m = {};
    var m = $s.m;
    
    $s.back=function(){
        $ionicHistory.goBack(-1)
    }

    m.products_copy=angular.copy(m.products)
    $s.moreDataCanBeLoaded=function(){
        if($scope.params.page>=$s.total_pages){
            return false;
        }
        else{
            return true;
        }
    }

    m.price= "price_high";
    m.time = "time_high";
    m.goods = "goods_desc";
    m.sales = "sales_high";
// -------------------------------------------------------------------------------------------------------
      $scope.add_cart = function(goods_id){ 
        
         if(!localStorage.getItem("member_id")){
            app.toast("请先登录");
            location="#/login";
            return false;

        }
        var obj =   {"product_id":goods_id,"goods_id":goods_id,"num":'1'};
            $scope.cart_message = {goods_id     :goods_id, 
                               product_id   :goods_id, 
                               member_id    :localStorage.getItem("member_id"),
                               num          : '1'
                               };
            httpLoading.interFace(app.interface_url,'now_data',obj).then(function(interface_data){
                var data = app.filter_interface(interface_data);

                if(data.status == "succ"){
                    $scope.buy_data = data.response;
                    // console.log($scope.buy_data);
                    var url_data = angular.toJson($scope.buy_data);
                    var cart_message = angular.toJson($scope.cart_message);
                    localStorage.setItem("buy_now",url_data);
                    localStorage.setItem("cart_message",cart_message);
                    localStorage.setItem("buy_type",'now');
                    if(url_data){
                        // location="#/confirmOrder?type=now&cart_message="+cart_message;
                        location="#/confirmOrder";
                    }
                }else{
                    app.toast(data.message);
                }
            });



      }



    $scope.get_products = function(){
        $scope.params.lang = localStorage.getItem("langKey");
        $scope.params.meiyou = "";
        httpLoading.interFace(app.interface_url,'get_goods_gallery',$scope.params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            // console.log(data);
            if(data.status == "succ"){
                m.products = data.response.goods_list;
                $scope.show_search = data.response.show_search;
                $scope.brand    = data.response.screen.brand;
                $scope.cat      = data.response.screen.cat;
                $scope.tags     = data.response.screen.tags;
            }else{
                app.toast(data.message);
            }
        },function(error){}); 
    };
    //  缓存处理 
    $scope.set_cache = function(){
        app.set_cache("category_products",$scope.products);
        app.set_cache("category_params",$scope.params);
        app.set_cache("category_order_type",$scope.order_type);
        app.set_cache("category_scrollTop",document.body.scrollTop);
        app.set_cache("category_show_search",$scope.show_search)
    };
    $scope.get_cache = function(){
        $scope.products     = app.get_cache("category_products");
        $scope.params       = app.get_cache("category_params");
        $scope.order_type   = app.get_cache("category_order_type");
        $scope.show_search  = app.get_cache("category_show_search");
        setTimeout(function(){
            document.body.scrollTop = app.get_cache('category_scrollTop');
            app.set_cache("category_scrollTop",0);
        },500);
    };
    $scope.init = function(){
        $scope.initPage     = true; //初始化页面时
        $scope.page         = $location.search().page         ? $location.search().page:1;
        $scope.number       = $location.search().number       ? $location.search().number:10;
        $scope.tag_id       = $location.search().tag_id       ? $location.search().tag_id : null;
        // $scope.cat_id       = $location.search().cat_id       ? $location.search().cat_id : null;
        $scope.brand_id     = $location.search().brand_id     ? $location.search().brand_id : null;
        $scope.search_key   = $location.search().search_key   ? $location.search().search_key : null;
        $scope.status       = $location.search().status       ? $location.search().status : null;
        if( $location.search().cat_id){
            $scope.cat_id    =$location.search().cat_id;
            localStorage.setItem('cat_id',$scope.cat_id);
        }else {
            $scope.cat_id  =  localStorage.getItem("cat_id");
        }
        $scope.params={
            "tag_id"        : $scope.tag_id, 
            "brand_id"      : $scope.brand_id,
            "pages"         : $scope.page,
            "number"        : $scope.number,
            "p_order"       : $scope.order, 
            "cat_id"        : $scope.cat_id, 
            "search_key"    : $scope.search_key,
            "status"        : $scope.status,
        };
        $scope.get_products();
    };
    $scope.$on('$locationChangeStart',function(event,next,current){ //准备离开页面
        $scope.set_cache();
    });    
    //  缓存处理结束

    $scope.pageClass    = "category";

    $scope.pic_ctx      = app.pic_ctx;
    $scope.ctx          = app.ctx;
    $scope.order_type   = "default";
    $scope.fixed_number = app.fixed_number;
    $scope.type         = $location.search().type?$location.search().type:"category";
    
    $scope.is_history_back = app.is_history_back();
    if($scope.is_history_back){  //是缓存
        $scope.init(); //$scope.get_cache();
    }else{
        $scope.init();
    }
    $scope.go_search = function(){
        location="#/search";
    }
    $scope.returnTop=function() {
         document.body.scrollTop = 0;
    }
   
    $scope.goscroll     = false;
    $scope.goscrollview = true;
    $scope.loadMore = function(){
        $scope.goscroll=true;
        $scope.params.pages++;
        $scope.products = $scope.products || [];
        $scope.params.meiyou = "meiyou";
        httpLoading.interFace(app.interface_url,'get_goods_gallery',$scope.params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                if(data.response.goods_list != void 0){
                    $scope.products = $scope.products.concat(data.response.goods_list);
                    // console.log($scope.products)
                m.products = $scope.products;
                // console.log(m.products)
                // $scope.products = data.response.goods_list;
                $scope.show_search = data.response.show_search;
                $scope.brand    = data.response.screen.brand;
                $scope.cat      = data.response.screen.cat;
                $scope.tags     = data.response.screen.tags;
                    $scope.$broadcast('scroll.infiniteScrollComplete')
                }
                // $scope.products = $scope.products.concat(data.response.goods_list);
                // $s.total_pages=data.response.pager_total
                // $scope.goscroll = false;
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    $scope.get_car_brand = function(){
        httpLoading.interFace(app.interface_url,'get_car_brand').then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.car_brand = data.response;
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    $scope.get_car_series = function(){
        httpLoading.interFace(app.interface_url,'get_car_series',{"carbrand_id":$scope.carbrand_id}).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.car_series = data.response;
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    $scope.get_car_year = function(){
        httpLoading.interFace(app.interface_url,'get_car_year',{"carseries_id":$scope.carseries_id}).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.car_years = data.response;
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    $scope.get_car_type = function(){
        httpLoading.interFace(app.interface_url,'get_car_type',{"carseries_id":$scope.carseries_id,"caryear_id":$scope.caryear_id}).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.car_type = data.response;
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    $scope.go_filter = function(){
        app.jump_border.hide('filter');
        $scope.params = $.extend($scope.params,{
            "cat_id"        : $scope.cat_id,
            "carxingming"   : $scope.car_xingming,
            "caryear_id"    : $scope.caryear_id,
            "carseries_id"  : $scope.carseries_id,
            "carbrand_id"   : $scope.carbrand_id                
        });
        httpLoading.interFace(app.interface_url,'get_goods_gallery',$scope.params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.products = data.response.goods_list;
                $scope.show_search = data.response.show_search;
                $scope.brand    = data.response.screen.brand;
                $scope.cat      = data.response.screen.cat;
                $scope.tags     = data.response.screen.tags.goods;
            }else{
                $scope.products = [];
                app.toast(data.message);
            }
        },function(error){});         
    };
    $scope.go_filter2 = function(){
        app.jump_border.hide('filter2');
        $scope.params = $.extend($scope.params,{
            "cat_id"        : $scope.sele_cat_id,
            "brand_id"      : $scope.sele_brand_id,
            "tag_id"        : $scope.sele_tag_id            
        });
        httpLoading.interFace(app.interface_url,'get_goods_gallery',$scope.params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.products = data.response.goods_list;
                $scope.show_search = data.response.show_search;
                $scope.brand    = data.response.screen.brand;
                $scope.cat      = data.response.screen.cat;
                $scope.tags     = data.response.screen.tags;
            }else{
                $scope.products = [];
                app.toast(data.message);
            }
        },function(error){});         
    };

    $scope.sele_type = function(type){
        $scope.goscroll=false;
        
        $scope.params.pages=1;
        document.body.scrollTop = 0;
        if(type == "default"){
            $scope.order_type = "default";
            $scope.params.p_order="uptime DESC";
            $scope.get_products();
        }else if(type == "sales_high"||type=="sales_low"){
            if(m.sales=='sales_high'){
                m.sales="sales_low";
                $scope.order_type = "sales_low";
            }else{
                m.sales="sales_high";
                $scope.order_type = "sales_high";
            }
            $scope.params.p_order=m.sales;
            $scope.get_products();
        }else if(type == "price_high"||type=="price_low"){
            if(m.price=='price_high'){
                m.price="price_low";
                $scope.order_type = "price_low";
            }else{
                m.price="price_high";
                $scope.order_type = "price_high";
            }
            $scope.params.p_order=m.price;
            $scope.get_products();
        }else if(type == "filter"){
            $scope.order_type = "filter";
            $scope.get_car_brand();
        }else if(type == "time_high"||type=="time_low") {
            if (m.time == 'time_high') {
                m.time = "time_low";
                $scope.order_type = "time_low";
            } else {
                m.time = "time_high";
                $scope.order_type = "time_high";
            }
            $scope.params.p_order = m.time;
            $scope.get_products();
        }else if(type == "goods_asc"||type=="goods_desc"){
            if (m.goods == 'goods_desc') {
                m.goods = "goods_asc";
                $scope.order_type = "goods_asc";
            } else {
                m.goods = "goods_desc";
                $scope.order_type = "goods_desc";
            }
            $scope.params.p_order = m.goods;
            $scope.get_products();
        }
        $scope.returnTop();
    };


    $scope.jump_border_show = function(id){
        app.jump_border.show(id);
    };
    $scope.jump_border_hide = function(id){
        app.jump_border.hide(id);
    };
    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
        $(window).scroll(function(){
            var scrollTop = $(window).scrollTop();
            if(scrollTop > 100){
                $("#top_cate").show();
            }else{
                $("#top_cate").hide();
            }
        });
    };  
});