app_angular.register.controller('confirmOrderCtrl',function($scope,$rootScope,$http,$location,httpLoading,$filter,$state,$ionicHistory){

    var $s = $scope;
    $s.m = {};
    var m = $s.m;

    $s.back=function(){
        // 登录后跳页面可能会用的的参数-------
        // var backView = $ionicHistory.backView()
        // -----------------------
        $ionicHistory.goBack()
    }

    $scope.get_cart= function (){
        httpLoading.interFace(app.interface_url,'get_cart_checkout',{shipping_id:$rootScope.shipping_id,area:$scope.default_addr.ship_area,pay_points:localStorage.getItem("pay_points"),lang:$scope.lang}).then(function(interface_data){
            var data = app.filter_interface(interface_data);

            if(data.status == "succ"){
                $scope.lang = localStorage.getItem("langKey");
                $scope.products         = data.response.object.goods;
                $scope.coupons          = data.response.object.coupon;

                $scope.has_points       = data.response.has_points;
                $scope.pay_points       = data.response.pay_points;
                $scope.pay_points_status       = data.response.pay_points_status;

                $scope.goodsTotalPrice  = Number(data.response.subtotal_goods_price);
                $scope.totalPrice       = Number(data.response.subtotal_price);
                if(!localStorage.getItem('total_money')){
                    localStorage.setItem('total_money',$scope.totalPrice);
                }
                $scope.totalDiscount    = data.response.subtotal_discount_amount;
                $rootScope.cart_nums    = data.response.cart_total;
                $scope.md5_cart_info    = data.response.md5_cart_info;
                sessionStorage.setItem("cart_nums",$rootScope.cart_nums);
                handler_coupon();
            }else{
                app.forceCloseToast();
                $scope.products         = [];
                $scope.totalPrice       = 0;
                $scope.totalDiscount    = 0;
                app.toast(data.message);
            }
        },function(error){});
    }


    $scope.pageId = 4;
    $rootScope.currency = app.tips.currency; //货币符号
    $scope.pageClass = app.currentPageLeftOrRight($scope.pageId);
    app.oldPageLeftOrRight($scope.pageClass);
  
    $scope.fixed_number = app.fixed_number;
    var member_id       = localStorage.getItem("member_id");
    $rootScope.shipping_id  =  $rootScope.shipping_id || null;
    var user = {
        member_id:member_id
    };
    $scope.cart         = null;
    $scope.addresslist  = null;
    $scope.area_id      = null;
    $rootScope.tax_content      = $rootScope.tax_content || null;    //发票内容
    $rootScope.invoice_id       = $rootScope.invoice_id  || null;    //发票id
    $rootScope.invoice_title    = $rootScope.invoice_title || null;  //发票标题

    httpLoading.interFace(app.interface_url,'get_member_addrs',user).then(function(interface_data){
        var data = app.filter_interface(interface_data);
        if(data.status == "succ"){
            $scope.addresslist = data.response.addresslist;
            for(i in data.response.addresslist){
                if(data.response.addresslist[i].is_default == "1"){
                    $scope.default_addr = data.response.addresslist[i];
                    break;
                }
            }
            if($scope.default_addr == void 0){
                $scope.default_addr = data.response.addresslist[0];
            }
            $scope.default_addr.filter_ship_area = app.filter_area($scope.default_addr.ship_area);
            $scope.area_id = app.get_area_id($scope.default_addr.ship_area);
        }else{
            $scope.addr_list = null;
        }
        $scope.lang = localStorage.getItem("langKey");
        var buy_type = localStorage.getItem("buy_type");

        // if($location.search().type=='now'){
        if(buy_type=='now'){
            // var t_data = $location.search().data
            // var data = angular.fromJson(t_data)
            var now_data = localStorage.getItem("buy_now");
            var cart_message = localStorage.getItem("cart_message");
            $scope.pay_points = localStorage.getItem("pay_points");
            $scope.points = localStorage.getItem("points");
            var data = angular.fromJson(now_data);
            // console.log(now_data);
            // console.log(data);
            $scope.now_data = data;
            $scope.products         = data.object.goods;
            $scope.coupons          = data.object.coupon;

            $scope.goodsTotalPrice  = Number(data.subtotal_goods_price);
            $scope.points = localStorage.getItem('points');
            $scope.totalPrice       = Number(data.subtotal_price);
            if(!localStorage.getItem('total_money')){
                localStorage.setItem('total_money',$scope.totalPrice);
            }

            $scope.totalDiscount    = data.subtotal_discount_amount;
            $rootScope.cart_nums    = data.cart_total;
            $scope.md5_cart_info    = data.md5_cart_info;
            sessionStorage.setItem("cart_nums",$rootScope.cart_nums);
            handler_coupon();
        }else{
            $scope.get_cart();
        }
    },function(error){});
    var handler_coupon = function(){
        var temp_coupons  = {};
        for(var i =0; i<$scope.coupons.length; i++){
            if($scope.coupons[i].used){
                temp_coupons[$scope.coupons[i].coupon] = $scope.coupons[i];
            }
        }
        $scope.coupons          = temp_coupons;
        $scope.coupons_num      = Object.getOwnPropertyNames($scope.coupons).length;
    };

    // 创建订单数据拼接
    $scope.member_id        =  member_id;
    $scope.memo             =  "订单留言";
    $rootScope.payment_id   =  $rootScope.payment_id || null;                                     //支付方式
    $scope.payment_name     =  $rootScope.payment_name;                                //支付名称
    $rootScope.is_tax       =  (typeof $rootScope.is_tax === 'undefined') ? 'false' : 'true';     //是否开发票
    $rootScope.invoice_type =  $rootScope.invoice_type || 'company'; 
    $rootScope.tax_company  =  (typeof $rootScope.tax_company === 'undefined') ? '' : $rootScope.tax_company;
    $scope.invoice_type     =  1;
    $scope.payment_currency =  sessionStorage.getItem("cur");

    $scope.close = false;
    $scope.closeoropen=function(){
        if($scope.close){
            $scope.close=false;
        }else{
            $scope.close=true;
        }
    }
    $scope.stc = false;
    $scope.shipTimeClose=function(){
        if($scope.stc){
            $scope.stc=false;
        }else{
            $scope.stc=true;
        }
    }
    $scope.$watchGroup(['shipping_id','area_id'],function(newValues, oldValues, scope){
        if(newValues[0] != void 0 && newValues[1] != void 0) {
            httpLoading.interFace(app.interface_url, 'get_shipping_list', {
                "area_id": newValues[1],
                "total_price": $scope.goodsTotalPrice
            }).then(function (interface_data) {
                var data = app.filter_interface(interface_data);
                if (data.status == "succ") {
                    for (var i in data.response) {
                        if (data.response[i].dt_id == newValues[0]) {
                            $scope.cost_protect = Number(data.response[i].delivery_fee);
                        }
                    }
                }
            }, function (error) {
            });
        }
        // httpLoading.interFace(app.interface_url,'get_cart_checkout',{shipping_id:$rootScope.shipping_id,area:$scope.default_addr.ship_area,pay_points:localStorage.getItem("pay_points"),lang:$scope.lang}).then(function(interface_data){
        //     var data = app.filter_interface(interface_data);
        //     // console.log(data);
        //     if(data.status=='succ'){
        //         $scope.lang = localStorage.getItem("langKey");
        //         $scope.products         = data.response.object.goods;
        //         $scope.coupons          = data.response.object.coupon;
        //
        //         $scope.has_points       = data.response.has_points;
        //         $scope.pay_points       = data.response.pay_points;
        //         $scope.pay_points_status       = data.response.pay_points_status;
        //
        //         $scope.goodsTotalPrice  = Number(data.response.subtotal_goods_price);
        //         $scope.totalPrice       = Number(data.response.subtotal_price);
        //         $scope.totalDiscount    = data.response.subtotal_discount_amount;
        //         $rootScope.cart_nums    = data.response.cart_total;
        //         $scope.md5_cart_info    = data.response.md5_cart_info;
        //         sessionStorage.setItem("cart_nums",$rootScope.cart_nums);
        //         handler_coupon();
        //         // $scope.goodsTotalPrice  = Number(data.response.subtotal_goods_price);
        //         // $scope.totalPrice       = Number(data.response.subtotal_price);
        //     }
        //
        //     if(newValues[0] != void 0 && newValues[1] != void 0){
        //         httpLoading.interFace(app.interface_url,'get_shipping_list',{"area_id":newValues[1],"total_price":$scope.goodsTotalPrice}).then(function(interface_data){
        //             var data = app.filter_interface(interface_data);
        //             if(data.status == "succ"){
        //                 for(var i in data.response){
        //                     if(data.response[i].dt_id == newValues[0]){
        //                         $scope.cost_protect =  Number(data.response[i].delivery_fee);
        //                     }
        //                 }
        //             }
        //         },function(error){});
        //     }
        //
        // },function(error){});


    });
     $scope.zhifu = function(){
        // location="#/account_balance?totalPrice="+$scope.totalPrice
        location="#/account_balance"
    };
    $scope.sele_addr = function(){
        location="#/address?prev_page=confirmOrder"
    };
    $scope.choose_way = function(area_id){
       
        if(area_id){
            location="#/choose_way?area_id="+area_id
        }else{
            app.toast(app.tisp.tiandizhi);
        }
    };
    $scope.select_status=function(){
        var domName = $('#select_status').attr('class');
        if(domName =="iconfont icon-yes icon-yes-remove ng-animate icon-no-add"){
            //未选中
          $scope.order_end_status ="false";
        }
        if(domName =="iconfont icon-no icon-no-remove ng-animate icon-yes-add"){
            //选中
            $scope.order_end_status ="true";
        }
    }
    $scope.is_default1 ='false';
    $scope.packing_price =10;
    $scope.selectXieYi=function(){
        var domName = $('#packing').attr('class');
        if(domName =="iconfont icon-yes icon-yes-remove ng-animate icon-no-add"){
            //未选中
            $scope.packing ="false";
            $scope.packing_price =0;
        }
        if(domName =="iconfont icon-no icon-no-remove ng-animate icon-yes-add"){
            //选中
            $scope.packing ="true";
            $scope.packing_price =10;
        }
    }

    $scope.create_order=function(){

        if($scope.default_addr == void 0){
            app.toast(app.tips.confirm_order_no_addr);
            return false;
        }
        if ($scope.send_way == null) {
            app.toast(app.tips.peisong);
            return false;
        }
        if($scope.order_end_status ==false){
            app.toast("请选择同意第二天配送");
            return false;
        }
        if($scope.packing==null){
            $scope.packing ='true';
        }
        // if($rootScope.send_way == void 0){
        //     app.toast(app.tisp.peisong);
        //     return false;
        // }
        // if($location.search().type=='now'){
        //     $scope.buyType = 'now';
        // }else{
        //     $scope.buyType = 'cart';
        // }
        var buy_type = localStorage.getItem("buy_type");
        if(buy_type=='now'){
            $scope.buyType = 'now';
        }else{
            $scope.buyType = 'cart';
        }
        // var cart_message = $location.search().cart_message;
        var cart_message = localStorage.getItem("cart_message");

        var cart_message = angular.fromJson(cart_message)
        if(!cart_message){
            cart_message = '';
        }

        cart_message.goods_id ?  goods_id = cart_message.goods_id :goods_id= 1;
        cart_message.num ?  num = cart_message.num :num= 1;
        cart_message.product_id ?  product_id = cart_message.product_id :product_id= 1;
        $scope.lang = localStorage.getItem("langKey");
        $scope.postscript = jq('#postscript').val();
        $scope.peisong_time = jq('#time').html();

        var obj = {
            'type'                  :  $scope.buyType,
            'goods_id'              :  goods_id,
            'num'                   :  num,
            'product_id'            :  product_id,
            "md5_cart_info"         :  $scope.md5_cart_info,
            "area"                  :  $scope.default_addr.ship_area,
            "addr"                  :  $scope.default_addr.ship_addr,
            "name"                  :  $scope.default_addr.ship_name,
            "mobile"                :  $scope.default_addr.ship_mobile,
            "shipping_id"           :  $rootScope.shipping_id,
            "tel"                   :  $scope.default_addr.ship_tel,
            "day"                   :  null,                    //配送日期：任意日期，仅工作日，仅休息日，指定日期
            "special"               :  null,                    //指定配送日期
            "payment_currency"      :  "CNY",
            "payment_pay_app_id"    :  $rootScope.payment_id,
            "payment_is_tax"        :  $rootScope.invoice_id ? 'true' : 'false',    //是否有发票
            "invoice_id"            :  $rootScope.invoice_id,            //发票id
            "payment_tax_content"   :  $rootScope.tax_content,            //发票内容
            "zip"                   :  $scope.default_addr.ship_zip,
            "house_number"          :  $scope.default_addr.ship_detail,
            "postscript"            :  $scope.postscript,
            "pay_points"            :  localStorage.getItem("pay_points"),
            "order_discount"        :  localStorage.getItem("points"),
            "lang"                  :  $scope.lang,
            "peisong_time"          :  $scope.peisong_time,
            "send_way"              :  $scope.send_way,
            "order_end_status"      :  $scope.order_end_status,
            "packing"               :  $scope.packing,
        };
        // console.log(obj);
        httpLoading.interFace(app.interface_url,'create_cart_order',obj).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $rootScope.cart_nums    = 0;
                sessionStorage.setItem("cart_nums",0);
                localStorage.removeItem("pay_points");
                localStorage.removeItem("points");
                $rootScope.balance      = 0;          //清空账户余额
                localStorage.removeItem("buy_now");
                localStorage.removeItem("buy_type");
                localStorage.removeItem("cart_message");
                location="#/pay_order?order_id="+data.response.order_id
            }else{
                localStorage.removeItem("pay_points");
                localStorage.removeItem("points");
                app.toast(data.message);
            }            
        },function(error){}); 
    };
    $scope.laydate=function(){
        //执行一个laydate实例
        laydate.render({
            elem: '#time',
            type: 'datetime',
            // value: new Date()
        });

    }
    httpLoading.interFace(app.interface_url,'get_order_end','').then(function(interface_data){
        var data = app.filter_interface(interface_data);
        if(data.status == "succ"){
            $scope.status = data.response.status;
            if($scope.status =='true'){
                $scope.order_end_status =false;
            }
            $scope.end_time = data.response.end_time;
            $scope.prompt = data.response.prompt;
        }else{

            app.toast(data.message);
        }
    },function(error){});

    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };   
    $scope.load()
});