app_angular.register.controller('deliveryCtrl',function($scope,$routeParams,$rootScope,$location,httpLoading,$state){
    $scope.pageClass="delivery";
    $rootScope.currency = app.tips.currency; //货币符号
    $scope.member_id = localStorage.getItem("member_id");
    $scope.area = $location.search().area;
    var params = {member_id:$scope.member_id,area:$scope.area};
    httpLoading.interFace(app.interface_url,'get_shipping_list',params).then(function(interface_data){
        var data = app.filter_interface(interface_data);
        if(data.status == "succ"){
            $scope.delivery_list = data.response;
        }else{
            app.toast(data.message);
        }
    },function(error){});

    $rootScope.delivery_shipping_id     = app.isNull($rootScope.delivery_shipping_id) ? $scope.delivery_list[0].dt_id : $rootScope.delivery_shipping_id;
    $rootScope.delivery_shipping_name   = app.isNull($rootScope.delivery_shipping_name) ? $scope.delivery_list[0].delivery_name : $rootScope.delivery_shipping_name;
    $scope.back = function(){
        history.back();
    };
    $scope.sele_delivery_shipping_id = function(currentTarget){
        $rootScope.delivery_shipping_id     = currentTarget.getAttribute("data-value");
        $rootScope.delivery_shipping_name   = $(currentTarget).text();
        $rootScope.cost_protect = parseInt(currentTarget.getAttribute("data-price"));
    };
    $scope.sele_delivery_day = function(currentTarget){
        $rootScope.delivery_day = currentTarget.getAttribute("data-value");
    };
    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };
});