app_angular.register.controller('forgetCtrl',function($scope,$rootScope,$http,$location,httpLoading,$routeParams,$state){
    $scope.pageClass="forget";
    $rootScope.currency = app.tips.currency; //货币符号
    app.loadcss(app.css.forget_css+app.version);
    $scope.mobile = $location.search().mobile;
    $scope.pwd = null;
    $scope.chn = null;
    $scope.member_id = null;

    $scope.get_code = function(currentTarget){
        var txt = currentTarget.getAttribute("data-txt");
        httpLoading.interFace(app.interface_url,'lost_send_vcode',{mobile:$scope.mobile}).then(function(interface_data){ //发一个异步请求，发验证码 
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                app.count_down(60,currentTarget,txt);
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    $scope.change_pwd = function(){
        if($scope.chn == null){
            app.toast(app.tips.check_sms_code);
         }else{
            var obj = {
                mobile    : $scope.mobile,
                vcode     : $scope.chn
            };
            httpLoading.interFace(app.interface_url,'lost_verify_vcode',obj).then(function(interface_data){
                var data = app.filter_interface(interface_data);
                if(data.status == "succ"){
                    localStorage.setItem("member_id",data.response.member_id);
                    sessionStorage.setItem("accesstoken",data.response.lost_token);
                    location="#/reset_password";
                }else{
                    app.toast(data.message);
                }
            },function(error){});
       }
    };
    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };   
});