app_angular.register.controller('identity_verifyCtrl', function ($scope, $rootScope, $route, $routeParams, $http, $location, httpLoading,$state) {
    app.loadcss(app.css.identity_verify_css + app.version);
    app.loadjs(app.js.md5_js + app.version);
    $scope.load = function () {
        app.handle_page_css();
        app.getFontSize();
    };
    
    $scope.set_id_verify = function(){
        if($scope.id_card == null){
            app.toast(app.tips.id_card);
        }else if($scope.real_name == null){
            app.toast(app.tips.real_name);
        }else{
            var user_message = {"id_card":$scope.id_card,"real_name":$scope.real_name};
            httpLoading.interFace(app.interface_url,'set_id_verify',user_message).then(function(interface_data){
                var data = app.filter_interface(interface_data);
                if(data.status == "succ"){
                    localStorage.setItem("real_name",$scope.real_name);
                    location="#/bankcard_retrieve";

                }else{
                    app.toast(data.message);
                }  
            },function(error){});
        }  
    };
})