app_angular.register.controller('indexCtrl',function($scope,$rootScope,$location,$timeout,httpLoading,$state){
    $scope.pageId = 1;
    $scope.pageClass = app.currentPageLeftOrRight($scope.pageId);
    app.oldPageLeftOrRight($scope.pageClass);
    $scope.pageClass = "index";
    $scope.pic_ctx = app.pic_ctx;
    $scope.ctx = app.ctx;
    $scope.fixed_number = app.fixed_number;
    $scope.allpara={special_type:'all',show_limit:100,soldout_count:10,source:'app'};
    $rootScope.cart_list= !app.isNull(sessionStorage.getItem("cart_list")) ? JSON.parse(sessionStorage.getItem("cart_list")) : {};   //购物车列表 
    function get_cart_nums(){
        if(localStorage.getItem("member_id") != void 0 && localStorage.getItem("uname") != void 0 && localStorage.getItem("md5Password") != void 0){
            if(sessionStorage.getItem("cart_nums") == void 0){
                var user_message = {"username":localStorage.getItem("uname"),"password":localStorage.getItem("md5Password")};
                httpLoading.interFace(app.interface_url,'pam_passport_login',user_message).then(function(data){
                    sessionStorage.setItem("cart_nums",data.info.data_info.current_total);
                    $rootScope.cart_nums = data.info.data_info.current_total;
                },function(error){
                });
            }
        }
    }
    // $scope.return_today = function(){   //今日特卖 没有数据
    //     var today = {special_type:'today',show_limit:6,soldout_count:10,source:'app'};
    //         data = app.get_special_by_time(today);
    //         return data.info.data_info;
    // };
    $scope.return_all = function(){   //限时特卖
        httpLoading.interFace(app.interface_url,'get_special_by_time',$scope.allpara).then(function(data){
            $scope.all = data.info.data_info;
            $scope.$apply();
        },function(error){});
    };
    $scope.indexscroll=false;
    $scope.goscrollview=false;
    $scope.loadMore = function(){
        $scope.indexscroll=true;
        $scope.goscrollview=true;
        $scope.allpara.show_limit+=10;
        httpLoading.interFace(app.interface_url,'get_special_by_time',$scope.allpara).then(function(data){
            if(data.info.data_info instanceof Array){
                $scope.all = data.info.data_info
                $scope.goscroll=false;
                $scope.goscrollview=false;
            }else{
                $scope.goscrollview=false;
            }
        },function(error){
        });        
    };
    $scope.return_all();
    $scope.go_top = function(){
        $(window).scrollTop(0);
    };
    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();  //app内部可以删除
        $scope.go_top();
        get_cart_nums();
        if(app.isNull($rootScope.settime)){
            $rootScope.settime = setInterval(function(){
                $(".J_count_time").each(function(i,domEle){
                    if($(domEle).data("sold-out") <= 0){
                        $(domEle).text("00:00:00");
                    }else if(app.isNull($(domEle).data("counttime"))){
                        var nowtime = parseInt($(domEle).data("nowtime"));
                        var endtime = parseInt($(domEle).data("endtime"));
                        var time = app.format_date(endtime-nowtime);
                        if(time.day > 0){
                            $(domEle).text(time.day+app.tips.days+time.hour+":"+time.minute+":"+time.second);
                        }else{
                            $(domEle).text(time.hour+":"+time.minute+":"+time.second);
                        }
                        $(domEle).data("counttime",endtime-nowtime);
                    }else{
                        $(domEle).data("counttime",$(domEle).data("counttime")-1);
                        var time = app.format_date($(domEle).data("counttime")-1);
                        if(time.day > 0){
                            $(domEle).text(time.day+app.tips.days+time.hour+":"+time.minute+":"+time.second);
                        }else{
                            $(domEle).text(time.hour+":"+time.minute+":"+time.second);
                        }
                    }
                });
            },1000);   
        }
    };
});