app_angular.register.controller('invoiceCtrl',function($scope,$rootScope,$route,$routeParams,$http,$location,httpLoading,$state){ 
    $scope.pageId = 5;
    $rootScope.currency = app.tips.currency; //货币符号
    $scope.pageClass = app.currentPageLeftOrRight($scope.pageId);
    app.oldPageLeftOrRight($scope.pageClass);
    sessionStorage.removeItem("page_name");/*清除从地址选择页面进入的标记*/

    httpLoading.interFace(app.interface_url,'get_fapiao_list').then(function(interface_data){
        var data = app.filter_interface(interface_data);
        if(data.status == "succ"){
            $scope.invoices = data.response;
        }
    },function(error){});

    $scope.edit_invoices = function(event,currentTarget){
        event.stopPropagation();
        var addr_id = $(currentTarget).data("addr-id");
        location="#/editAddrs?addr_id="+addr_id;
    };
    $scope.add_invoice=function(){
        location="#/addInvoice";
    };
    $scope.get_tax_content = function(target){
        $rootScope.tax_content = $(target).data("content");
    };
    $scope.get_invoice_id = function(target){
        $rootScope.invoice_id = $(target).data("invoice-id");
        $rootScope.invoice_title = $(target).data("invoice-title");
    };
    $scope.confirm_invoice = function(){
        if($rootScope.tax_content == void 0){
            app.toast(app.tips.fapiao);
            return false;
        }else if($rootScope.invoice_id == void 0){
            app.toast(app.tips.xinxi);
            return false;
        }
        history.back();
    };
    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };
});