app_angular.register.controller('loginCtrl',function($scope,$rootScope,$ionicHistory,$http,$location,httpLoading,$timeout,$ionicScrollDelegate,$state,$interval){
    $rootScope.currency = app.tips.currency; //货币符号
    
    $scope.username = null;
    $scope.password = null;

	var $s = $scope;
    $s.m = {};
    var m = $s.m;
    

    $s.back=function(){
        // 登录后跳页面可能会用的的参数-------
        // var backView = $ionicHistory.backView()
        // -----------------------
        $ionicHistory.goBack()
    }
    $timeout(function() {
        m.windowWidth = jq(window).width();
        m.pagination = jq(".pagination").width() / 2;
        m.constant = m.pagination / m.windowWidth;
        m.swiper_login = new Swiper(".swiper_login", {
            autoHeight:true,
            onSlideChangeStart:function(swiper) {
                $timeout(function() {
                    m.activeIndex = swiper.activeIndex;
                }, 0);
            },
            onTouchStart:function(swiper, even) {
                m.duration = 0;
            },
            onTouchEnd:function(swiper, even) {
                m.duration = .3;
            },
            onTouchMove:function(swiper, event) {
                $timeout(function() {
                    m.trans = -swiper.translate * m.constant;
                    if (m.trans < 0) {
                        m.trans = 0;
                    } else if (m.trans > m.pagination) {
                        m.trans = m.pagination;
                    }
                }, 0);
            },
            onTransitionStart:function(swiper) {
                $timeout(function() {
                    m.trans = swiper.activeIndex * m.pagination;
                }, 0);
            }
        });
    }, 20);

    $s.tab_click = function(Index) {
        m.swiper_login.slideTo(Index);
    };
    $scope.send_v_code=function(){
        if($scope.m.username  == null){
            app.toast(app.tips.reg_mobile_null);
            return false;
        }
        if($scope.m.username.length !=11){
            app.toast(app.tips.check_mobile);
            return false;
        }
        $rootScope.mobile_phone = $scope.m.username;
        $scope.lang = localStorage.getItem("langKey");
        httpLoading.interFace(app.interface_url,'sms_send_msg',{mobile_phone:$scope.m.username,lang:$scope.lang}).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){

                $scope.canClick=false;

                var timerHandler;
                var second=59;

                timerHandler =$interval(function(){
                    if(second<=0){

                        $interval.cancel(timerHandler);    //当执行的时间59s,结束时，取消定时器 ，cancle方法取消
                        second=59;
                        $scope.description=app.tips.yanzhengma;
                        $scope.canClick=false;    //因为 ng-disabled属于布尔值，设置按钮可以点击，可点击发送
                    }else{

                        $scope.description=second+"s"+ '重发';
                        second--;
                        $scope.canClick=true;
                    }
                },1000)   //每一秒执行一次$interval定时器方法
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };


    $scope.wxlogin=function(){
        var scope = "snsapi_userinfo";
        state = "_" + (+ new Date());
        Wechat.auth(scope, state,function (response) {
            // alert(JSON.stringify(response));
            var params = { "code": response.code};
            httpLoading.interFace(app.interface_url, 'weixin_get_openid', params).then(function(interface_data){
                var data = app.filter_interface(interface_data);
                if (data.status == "succ") {
                    console.log(data.openid);
                    localStorage.setItem("member_id", data.response.member_id);
                    // localStorage.setItem("Password", $scope.password);
                    sessionStorage.setItem("member_lv_id", data.response.member_lv_id);
                    localStorage.setItem("uname", data.response.uname);
                    sessionStorage.setItem("accesstoken", data.response.accesstoken);
                    // sessionStorage.setItem("cart_nums", data.response.cart_total);
                    // sessionStorage.setItem("cur", data.response.cur);
                    // sessionStorage.setItem("levelname", data.response.levelname);
                    // var login_redirect = sessionStorage.getItem("login_redirect");
                    location.href = "#/member";
                }else{
                    //登陆失败
                } 
            });
            // alert(JSON.stringify(response));
        }, function (reason) {
            alert("Failed: " + reason);
        });

   
    }

   $scope.description = '获取验证码';

    $scope.myKeyup = function(e){
        var keycode = window.event?e.keyCode:e.which;
        if(keycode==13){
            $scope.loginSubmit();
        }
    };
    $scope.loginSubmit = function(){
        if(m.username == null){
            app.toast(app.tips.login_username);
        }else if(m.password == null){
            app.toast(app.tips.login_password);
        }else{

            var user_message = {"username":m.username,"password":m.password,lang:lang};
            user_message.lang = localStorage.getItem("langKey");
            httpLoading.interFace(app.interface_url,'pam_passport_login',user_message).then(function(interface_data){
                var data = app.filter_interface(interface_data);
                if(data.status == "succ"){
                    localStorage.setItem("member_id",data.response.member_id);
                    localStorage.setItem("Password",m.password); 
                    sessionStorage.setItem("member_lv_id",data.response.member_lv_id);
                    localStorage.setItem("uname",data.response.uname);
                    sessionStorage.setItem("accesstoken",data.response.accesstoken);
                    sessionStorage.setItem("cart_nums",data.response.cart_total);
                    sessionStorage.setItem("cur",data.response.cur);
                    sessionStorage.setItem("levelname",data.response.levelname);
                    var login_redirect = sessionStorage.getItem("login_redirect");
                    
                    if(app.isNull(login_redirect)){
                        location="#/all";
                    }else if( login_redirect == '/login'){
                        location="#/member";
                    }else{
                        history.replaceState("login","title");        //history.state 的值 存为 login
                        location.replace("#"+login_redirect);
                    }
                }else{
                    app.toast(data.message);
                }  
            },function(error){});
        }  
    };
    $scope.smsloginSubmit = function(){
        if(m.username == null){
            app.toast(app.tips.login_username);
        }else if(m.vcode == null){
            app.toast(app.tips.login_password);
        }else{

            var user_message = {"username":m.username,"vcode":m.vcode,lang:lang};

            user_message.lang = localStorage.getItem("langKey");
            httpLoading.interFace(app.interface_url,'pam_passport_login',user_message).then(function(interface_data){
                var data = app.filter_interface(interface_data);
                if(data.status == "succ"){
                    localStorage.setItem("member_id",data.response.member_id);
                    localStorage.setItem("Password",m.password); 
                    sessionStorage.setItem("member_lv_id",data.response.member_lv_id);
                    localStorage.setItem("uname",data.response.uname);
                    sessionStorage.setItem("accesstoken",data.response.accesstoken);
                    sessionStorage.setItem("cart_nums",data.response.cart_total);
                    sessionStorage.setItem("cur",data.response.cur);
                    sessionStorage.setItem("levelname",data.response.levelname);
                    var login_redirect = sessionStorage.getItem("login_redirect");
                    
                    if(app.isNull(login_redirect)){
                        location="#/all";
                    }else if( login_redirect == '/login'){
                        location="#/member";
                    }else{
                        history.replaceState("login","title");        //history.state 的值 存为 login
                        location.replace("#"+login_redirect);
                    }
                }else{
                    app.toast(data.message);
                }  
            },function(error){});
        }  
    };
    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };
    $scope.load()
    $(function(){  
         //个人信息
         $('.login .con p').click(function(){
          window.location.href="#/forget_phone"; 
         })
       });  
});