app_angular.register.controller('my_editAddrsCtrl',function($scope,$rootScope,$location,$routeParams,httpLoading,$state){
    $scope.pageId = 3;
    $rootScope.currency = app.tips.currency; //货币符号
    $scope.pageClass = app.currentPageLeftOrRight($scope.pageId);
    app.oldPageLeftOrRight($scope.pageClass);
    $scope.pageClass    = "editAddrs";
    $scope.member_id    = localStorage.getItem("member_id");
    var addr_id         = $location.search().addr_id;
    $rootScope.default_addr = $rootScope.default_addr ? $rootScope.default_addr : {};
    $scope.show_addr    =  function(){
        $scope.prev_page = sessionStorage.getItem("page_name");
        sessionStorage.removeItem("page_name");
        if($scope.prev_page == null || $scope.prev_page != "select_region"){
           var params={"addr_id":addr_id,"member_id":$scope.member_id};
           httpLoading.interFace(app.interface_url,'get_member_addr',params).then(function(interface_data){
               var data = app.filter_interface(interface_data);
               if(data.status == "succ"){
                    $rootScope.default_addr = data.response;
                    $rootScope.default_addr.filter_ship_area = app.filter_area($rootScope.default_addr.ship_area);
                    if($location.search().new_province){
                        $rootScope.default_addr.filter_ship_area = $location.search().new_country+$location.search().new_province;
                        if (!app.isNull($location.search().new_city)) {
                            $rootScope.default_addr.filter_ship_area = $location.search().new_country+$location.search().new_province+$location.search().new_city;
                        }
                        if (!app.isNull($location.search().new_region)) {
                            $rootScope.default_addr.filter_ship_area = $location.search().new_country+$location.search().new_province+$location.search().new_city+$location.search().new_region;
                        }
                        $rootScope.default_addr.country = $location.search().new_country;
                        $rootScope.default_addr.province = $location.search().new_province;
                        $rootScope.default_addr.city = $location.search().new_city;
                        $rootScope.default_addr.region = $location.search().new_region;
                        $rootScope.default_addr.province_id = $location.search().new_province_id;
                        $rootScope.default_addr.city_id = $location.search().new_city_id;
                        $rootScope.default_addr.region_id = $location.search().new_region_id;

                        if(!app.isNull($rootScope.default_addr.region) && !app.isNull($rootScope.default_addr.city)){
                            $rootScope.default_addr.ship_area = "mainland:"+$rootScope.default_addr.country+"/"+$rootScope.default_addr.province+"/"+$rootScope.default_addr.city+"/"+$rootScope.default_addr.region+":"+$scope.default_addr.region_id;
                        }else if(!app.isNull($scope.default_addr.city) && app.isNull($rootScope.default_addr.region)){
                            $rootScope.default_addr.ship_area = "mainland:"+$rootScope.default_addr.country+"/"+$rootScope.default_addr.province+"/"+$rootScope.default_addr.city+":"+$rootScope.default_addr.city_id;
                        }else{
                            $rootScope.default_addr.ship_area = "mainland:"+$rootScope.default_addr.country+"/"+$rootScope.default_addr.province+":"+$rootScope.default_addr.province_id;
                        }
                    }
               }else{
                   app.toast(data.message);
               }     
            },function(error){});
        }
    };
    $scope.show_addr();
    httpLoading.interFace(app.interface_url,'member_addr','').then(function(interface_data){
        var data = app.filter_interface(interface_data);

        if(data.status == "succ"){
            $scope.addr = data.response;
        }else{
            app.toast(data.message);
        }
    },function(error){});

    $scope.select_region=function(){
        location="#/select_region?from=my_editAddrs&addr_id="+addr_id;
    };
    $scope.save_addrs=function(target){
        if($scope.prev_page == "select_region"){
            if(!app.isNull($rootScope.default_addr.region) && !app.isNull($rootScope.default_addr.city)){
                $rootScope.default_addr.ship_area = "mainland:"+$rootScope.default_addr.country+"/"+$rootScope.default_addr.province+"/"+$rootScope.default_addr.city+"/"+$rootScope.default_addr.region+":"+$scope.default_addr.region_id;
            }else if(!app.isNull($scope.default_addr.city) && app.isNull($rootScope.default_addr.region)){
                $rootScope.default_addr.ship_area = "mainland:"+$rootScope.default_addr.country+"/"+$rootScope.default_addr.province+"/"+$rootScope.default_addr.city+":"+$rootScope.default_addr.city_id;
            }else{
                $rootScope.default_addr.ship_area = "mainland:"+$rootScope.default_addr.country+"/"+$rootScope.default_addr.province+":"+$rootScope.default_addr.province_id;
            }
        }
       if($('#select_region').val() == ''){
           app.toast('请选择省市区');
           return false;
       }
        var obj = {
            "member_id"       :  $scope.member_id,
            "province"       :  $('#select_region').val(),
        };
        obj = $.extend({},$rootScope.default_addr,obj);
        if(app.isNull($rootScope.default_addr.ship_name)){
            app.toast(app.tips.addr_username);
            return false;
        }else if(!app.validate.mobileNo($rootScope.default_addr.ship_mobile)){
            app.toast(app.tips.addr_mobile);
            return false;
        }
        if($rootScope.default_addr.ship_addr == null || $rootScope.default_addr.ship_addr==""){
            // app.toast(app.tips.addr_addr);
            // return false;
        }else if($rootScope.default_addr.ship_area == null || $rootScope.default_addr.ship_area==""){
            app.toast(app.tips.addr_area);
            return false;
        }
        // httpLoading.interFace(app.interface_url,'save_member_addr',obj).then(function(interface_data){
        httpLoading.interFace(app.interface_url,'new_save_address',obj).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                location="#/my_address";
            }else{
                app.toast(data.message);
            }   
        },function(error){});
    };
    $scope.load = function(){
        app.handle_page_css();
        $scope.show_addr();
        app.getFontSize();
    };
    $scope.load();
});