app_angular.register.controller('my_editInvoiceCtrl',function($scope,$rootScope,$location,$routeParams,httpLoading,$state){
    $scope.pageId = 3;
    $rootScope.currency = app.tips.currency; //货币符号
    $scope.pageClass = app.currentPageLeftOrRight($scope.pageId);
    app.oldPageLeftOrRight($scope.pageClass);
    $scope.pageClass            = "editAddrs";
    $scope.member_id            = localStorage.getItem("member_id");
    $scope.invoice = {};
    $scope.invoice.invoice_id   = $location.search().invoice_id || null;
    $scope.invoice.address      = $location.search().invoice_address || null;
    $scope.invoice.tel          = $location.search().invoice_tel || null;
    $scope.invoice.title        = $location.search().invoice_title || null;
    $scope.invoice.type         = $location.search().invoice_type || null;  
    $scope.select_region=function(){
        location="#/select_region?from=my_editAddrs&addr_id="+addr_id;
    };
    $scope.save_addrs=function(target){
        if($scope.prev_page == "select_region"){
            if($rootScope.default_addr.region){
                $rootScope.default_addr.ship_area = "mainland:"+$rootScope.default_addr.province+"/"+$rootScope.default_addr.city+"/"+$rootScope.default_addr.region+":"+$scope.default_addr.region_id;
            }else{
                $rootScope.default_addr.ship_area = "mainland:"+$rootScope.default_addr.province+"/"+$rootScope.default_addr.city+":"+$rootScope.default_addr.city_id;
            }
        }
        if(app.isNull($scope.invoice.title)){
             app.toast(app.tips.piaotaitou);
            return false;
        }else if(app.isNull($scope.invoice.tel)){
            app.toast(app.tips.dianhua);
            return false;
        }else if($scope.invoice.address == void 0 || $scope.invoice.address==""){
            app.toast(app.tips.dizhi);
            return false;
        }
        if($scope.invoice.type == 'company'){
            if(app.isNull($scope.invoice.ident_number)){
                app.toast(app.tips.nasuiren);
                return false;
            }else if(app.isNull($scope.invoice.bank)){
                app.toast(app.tips.kaihuhang);
                return false;
            }else if(app.isNull($scope.invoice.account)){
                app.toast(app.tips.zhanghao);
                return false;
            }
        }
        httpLoading.interFace(app.interface_url,'edit_fapiao_info',$scope.invoice).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                location="#/my_invoice";
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    $scope.change_type = function(type){
        $scope.invoice.type = type;
    };    
    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };
});