app_angular.register.controller('my_invoiceCtrl',function($scope,$rootScope,$routeParams,$http,$location,httpLoading,$state){  
    $scope.pageId = 2;
    $rootScope.currency = app.tips.currency; //货币符号
    $scope.pageClass = app.currentPageLeftOrRight($scope.pageId);
    app.oldPageLeftOrRight($scope.pageClass);
    $rootScope.default_addr === "undefined";
    $rootScope.default_addr = undefined;/*清除存储的地址，修正进入添加页面显示BUG */
    sessionStorage.removeItem("page_name");/*清除从地址选择页面进入的标记*/
    var member_id = localStorage.getItem("member_id");
    var params = {member_id:member_id};
    httpLoading.interFace(app.interface_url,'get_fapiao_list').then(function(interface_data){
        var data = app.filter_interface(interface_data);
        if(data.status == "succ"){
            $scope.invoice_list = data.response;
        }
    },function(error){});
    $scope.del_invoice = function(target){
        app.confirm(app.tips.delfapiao,{
            cancel:function(){
                return false;
            },
            confirm:function(){
                var invoice_id = $(target).data('invoice-id');
                var obj = {"invoice_id":invoice_id};
                httpLoading.interFace(app.interface_url,'delete_fapiao_info',obj).then(function(interface_data){
                    var data = app.filter_interface(interface_data);
                    if(data.status == "succ"){
                        for (var i = 0; i < $scope.invoice_list.length; i++) {
                            if($scope.invoice_list[i].invoice_id == invoice_id){
                                $scope.invoice_list.splice(i,1);
                                break;
                            }
                        }
                        if($scope.addrs.length == 0){
                            $route.reload();        
                        }
                    }else{
                        $scope.addrs = [];
                        app.toast(data.message);
                    }
                },function(error){});                 
            }
        });
    };
    $scope.edit_invoice = function(event,currentTarget){
        event.stopPropagation();
        var invoice_id = $(currentTarget).data("invoice-id");
        var invoice_address = $(currentTarget).data("invoice-address");
        var invoice_tel = $(currentTarget).data("invoice-tel");
        var invoice_title = $(currentTarget).data("invoice-title");
        var invoice_type  = $(currentTarget).data("invoice-type");      
        location="#/my_editInvoice?invoice_id="+invoice_id+"&invoice_address="+invoice_address+"&invoice_tel="+invoice_tel+"&invoice_title="+invoice_title+"&invoice_type="+invoice_type;
    };
    $scope.add_invoice=function(){
        location="#/my_addInvoice";
    }
    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };
});