app_angular.register.controller('otherRechargeInfoCtrl', function ($scope, $rootScope, $route, $routeParams, $http, $location, httpLoading,$state) {
    app.loadcss(app.css.other_recharge_info_css + app.version);
    app.loadjs(app.js.md5_js + app.version);
    $scope.load = function () {
        app.handle_page_css();
        app.getFontSize();
    }
    $scope.isactive=false;
    $scope.showModel=function(e){
        console.info($scope.mobile);
        if(app.isNull($scope.mobile)){
            app.toast(app.tips.addr_mobile);
            return false;
        }
        if($scope.vcode == ''){
            app.toast(app.tips.mobile_code);
            return false;
        }
        this.isactive=true;
    };

    $scope.inputArr=[];
    $scope.inputArr.length=6;
    
    $scope.card_id = $location.search().card_id;
    $scope.money = '￥'+$location.search().money;
    $scope.tocard_no = $location.search().tocard_no;
    $scope.tobank_name = $location.search().tobank_name;
    $scope.tobank_str = $location.search().tobank_name + '-' + $location.search().tocard_no;
    $scope.tonext = function(){
        $scope.card_id = $location.search().card_id;
        $scope.money = $scope.money;
        location="#/other_recharge_info?card_id="+$scope.card_id+"&money="+$scope.money+"&tocard_no="+$scope.tocard_no+"&tobank_name="+$scope.tobank_name;
    };
    $scope.check = function(e){
        string = '';
        $.each($('.num_box_item'),function(n,value) { 
            string = string + $(value).val()
        });
        var pay_password = string;
        if(pay_password.length != '6'){
            return false;
        }
        var obj = {
                "mobile":$scope.mobile,
                "vcode":$scope.vcode,
                "pay_password":pay_password,
                "card_id":$location.search().card_id,
                "bank_name":$location.search().bank_name,
                "amount":$location.search().money,
                "tocard_no":$scope.tocard_no,
                "tobank_name":$scope.tobank_name,
                "real_name":$scope.real_name,
                "id_card":$scope.id_card
        };
        httpLoading.interFace(app.interface_url,'set_transfer_log',obj).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "fail"){
                app.toast(data.message);
                return false;
            }else{
                location="#/recharge_succ?id="+data.response.id;
            }
        },function(error){});
    };
    $scope.get_verifycode = function(){
        if($scope.mobile == null){
            app.toast(app.tips.mobile);
        }else if(!app.validate.mobileNo($scope.mobile)){
            app.toast(app.tips.addr_mobile);
        }else{
            var user_message = {"mobile":$scope.mobile};
            httpLoading.interFace(app.interface_url,'get_verifycode',user_message).then(function(interface_data){
                var data = app.filter_interface(interface_data);
                if(data.status == "succ"){
                    app.toast(data.message);
                }else{
                    app.toast(data.message);
                }  
            },function(error){});
        }  
    };
})