app_angular.register.controller('pay_order2Ctrl',function($routeParams,$scope,$rootScope,$location,httpLoading,$state){  
    $rootScope.currency = app.tips.currency; //货币符号
    $scope.pageClass = app.currentPageLeftOrRight($scope.pageId);
    app.oldPageLeftOrRight($scope.pageClass);
    $scope.order_id = app.isNull($location.search().order_id) ? 0 : $location.search().order_id;
    $scope.isPayShow = false;
    httpLoading.interFace(app.interface_url,'get_member_order_details',{order_id:$scope.order_id,member_id:localStorage.getItem("member_id")}).then(function(interface_data){
        var data = app.filter_interface(interface_data);
        if(data.status == "succ"){
            $scope.pay_order = data.response;
            if($scope.pay_order.pay_status == 0){
                $scope.pay_app_id = $scope.pay_order.payinfo.pay_app_id;
                httpLoading.interFace(app.interface_url,'get_checkout_payments').then(function(interface_data){
                    var data = app.filter_interface(interface_data);
                    if(data.status == "succ"){
                        $scope.payment_list = data.response;
                    }else{
                        app.toast(data.message);
                    }
                },function(error){});   
            }
        }else{
            app.toast(data.message);
        }
    },function(error){});

    $scope.goalipay=function(){
        httpLoading.interFace(app.interface_url,'alipay_pay',{order_id:$scope.order_id}).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                var pay_info=data.response;
                window.alipay.pay({tradeNo:pay_info.out_trade_no,subject:pay_info.subject,body:pay_info.body,price:pay_info.total_free ,notifyUrl: pay_info.notify_url}, function(successResults){alert(successResults)}, function(errorResults){alert(JSON.stringfy(errorResults))});
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    $scope.goOffline = function(target){
        var pay_brief = $(target).data("pay-brief");
        var payment_name = $(target).data("payment-name");
        $scope.pay_app_id = "offline";
        $scope.pay_order.payinfo.pay_name = payment_name;
        app.alert(pay_brief);

    };
    $scope.payNow = function(target){
        var order_id    = $(target).data("order-id");
        var pay_app_id  = $(target).data("pay-app-id");
        if(pay_app_id == "malipaynew"){
            $scope.goalipay();
        }else if(pay_app_id == "offline"){
            $scope.goOffline(target);
        }else{
            httpLoading.interFace(app.interface_url,'pay_now',{"pay_app_id":pay_app_id,"order_id":order_id}).then(function(interface_data){
                var data = app.filter_interface(interface_data);
                if(data.status == "succ"){
                    location="#/finish_order?order_id="+data.response.order_id+"&total="+data.response.amount;
                }else{
                    app.toast(data.message);
                }
            },function(error){});
        }
    };

    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };
});