app_angular.register.controller('select_regionCtrl',function($scope,$rootScope,$routeParams,$http,$location,httpLoading,$state){  
    
    $scope.change_type = $location.search().from;
    sessionStorage.setItem("page_name","select_region");
    $rootScope.default_addr = $rootScope.default_addr ? $rootScope.default_addr : {}; 
    $scope.show1 = false;
    $scope.show2 = false;
    $scope.show3 = true;
    $scope.show4 = true;
    $scope.show5 = true;
    $scope.show_country=function(){
        var params = {region_id:""};
        httpLoading.interFace(app.interface_url,'get_member_regions',params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.countrys = data.response;
            }else{
                app.toast(data.message);
            }
        },function(error){
        });
    };
    $scope.select_country = function(country){
        $scope.show1 = false;
        $scope.show2 = true;
        $scope.show3 = false;
        $scope.show4 = true;
        $scope.show5 = true;
        $rootScope.default_addr.country    = country.local_name;
        var id = country.region_id;
        httpLoading.interFace(app.interface_url,'get_member_regions',{"region_id":id}).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.provinces = data.response;
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    $scope.select_province = function(province){
        $scope.show1 = false;
        $scope.show2 = true;
        $scope.show3 = true;
        $scope.show4 = false;
        $scope.show5 = true;
        $rootScope.default_addr.province    = province.local_name;
        $rootScope.default_addr.province_id     = province.region_id;
        delete $rootScope.default_addr.city;
        delete $rootScope.default_addr.region;
        $rootScope.default_addr.ship_area="mainland:"+$rootScope.default_addr.country+"/"+$rootScope.default_addr.province+":"+$rootScope.default_addr.province_id;
        var id = province.region_id;
        httpLoading.interFace(app.interface_url,'get_member_regions',{"region_id":id}).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.citys = data.response;
                if ($scope.citys.length == 0) {
                    if($scope.change_type == "addAddrs" || $scope.change_type == "my_addAddrs" || $scope.change_type == "addInvoice" || $scope.change_type == "my_addInvoice" || $scope.change_type == "my_message"){
                        location="#/"+$scope.change_type;
                    }else if($scope.change_type == "editAddrs" || $scope.change_type == "my_editAddrs" || $scope.change_type == "editInvoice" || $scope.change_type == "my_editInvoice"){
                        $location.path("/"+$scope.change_type).search({"addr_id":$location.search().addr_id,'new_country':$scope.$parent.default_addr.country,'new_province':$scope.$parent.default_addr.province,'new_province_id':id}).replace();
                    }
                }
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    $scope.select_city=function(city){
        $scope.show1 = false;
        $scope.show2 = true;
        $scope.show3 = true;
        $scope.show4 = true;
        $scope.show5 = false;
        var id = city.region_id;
        $rootScope.default_addr.city = city.local_name;
        $rootScope.default_addr.city_id = city.region_id;
        delete $rootScope.default_addr.region;
        $rootScope.default_addr.ship_area="mainland:"+$rootScope.default_addr.country+"/"+$rootScope.default_addr.province+"/"+$rootScope.default_addr.city+":"+$rootScope.default_addr.city_id;
        httpLoading.interFace(app.interface_url,'get_member_regions',{"region_id":id}).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.areas = data.response;
                if($scope.areas.length == 0 ){
                    if($scope.change_type == "addAddrs" || $scope.change_type == "my_addAddrs" || $scope.change_type == "addInvoice" || $scope.change_type == "my_addInvoice" || $scope.change_type == "my_message"){
                        location="#/"+$scope.change_type;
                    }else if($scope.change_type == "editAddrs" || $scope.change_type == "my_editAddrs" || $scope.change_type == "editInvoice" || $scope.change_type == "my_editInvoice"){
                        $location.path("/"+$scope.change_type).search({"addr_id":$location.search().addr_id,'new_country':$scope.$parent.default_addr.country,'new_province':$scope.$parent.default_addr.province,'new_city':$scope.$parent.default_addr.city,'new_city_id':id}).replace();
                    }
                }
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    $scope.select_area=function(district){
        var id = district.region_id;
        $rootScope.default_addr.region = district.local_name;
        $rootScope.default_addr.region_id = district.region_id;
        $rootScope.default_addr.ship_area="mainland:"+$rootScope.default_addr.country+"/"+$rootScope.default_addr.province+"/"+$rootScope.default_addr.city+"/"+$rootScope.default_addr.region+":"+$rootScope.default_addr.region_id;
        if($scope.change_type == "addAddrs" || $scope.change_type == "my_addAddrs" || $scope.change_type == "addInvoice" || $scope.change_type == "my_addInvoice" || $scope.change_type == "my_message"){
            location="#/"+$scope.change_type;
        }else if($scope.change_type == "editAddrs" || $scope.change_type == "my_editAddrs" || $scope.change_type == "editInvoice" || $scope.change_type == "my_editInvoice"){
            $location.path("/"+$scope.change_type).search({"addr_id":$location.search().addr_id,'new_country':$scope.$parent.default_addr.country,'new_province':$scope.$parent.default_addr.province,'new_city':$scope.$parent.default_addr.city,'new_region':$scope.$parent.default_addr.region,'new_region_id':id}).replace();
        }
    };
    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };
});