app_angular.register.controller('addAddrsCtrl',function($scope,$routeParams,$rootScope,$location,httpLoading,$state,$ionicHistory){
    var $s = $scope;
    $s.m = {};
    var m = $s.m;
    $s.back=function(){

        $ionicHistory.goBack(-1);
    };
    $scope.pageId = 6;
    $scope.pageClass = app.currentPageLeftOrRight($scope.pageId);
    app.oldPageLeftOrRight($scope.pageClass);

    $scope.member_id = localStorage.getItem("member_id");
    $rootScope.default_addr = $rootScope.default_addr ? $rootScope.default_addr : {}; 
    $rootScope.currency = app.tips.currency; //货币符号
    $scope.select_region=function(){
        location="#/select_region?from=addAddrs";
    };
 
    $scope.save_addrs=function(target){
        $scope.prev_page = sessionStorage.getItem("page_name");
        sessionStorage.removeItem("page_name");
        if($scope.prev_page == "select_region"){
            if(!app.isNull($rootScope.default_addr.region) && !app.isNull($rootScope.default_addr.city)){
                $rootScope.default_addr.ship_area = "mainland:"+$rootScope.default_addr.country+"/"+$rootScope.default_addr.province+"/"+$rootScope.default_addr.city+"/"+$rootScope.default_addr.region+":"+$scope.default_addr.region_id;
            }else if(!app.isNull($scope.default_addr.city) && app.isNull($rootScope.default_addr.region)){
                $rootScope.default_addr.ship_area = "mainland:"+$rootScope.default_addr.country+"/"+$rootScope.default_addr.province+"/"+$rootScope.default_addr.city+":"+$rootScope.default_addr.city_id;
            }else{
                $rootScope.default_addr.ship_area = "mainland:"+$rootScope.default_addr.country+"/"+$rootScope.default_addr.province+":"+$rootScope.default_addr.province_id;
            }
        }
        if($('#select_region').val() == ''){
            app.toast('请选择省市区');
            return false;
        }
        var obj = {
            "member_id"       :  $scope.member_id,
            "ship_area"       : $('#select_region').val(),
            "province"       : $('#select_region').val(),
        };
        obj = $.extend({},$rootScope.default_addr,obj);
        if(app.isNull($rootScope.default_addr.ship_name)){
            app.toast(app.tips.addr_username);
            return false;
        }else if(!app.validate.mobileNo($rootScope.default_addr.ship_mobile)){
            app.toast(app.tips.addr_mobile);
            return false;
        }
        // if($rootScope.default_addr.ship_addr == null || $rootScope.default_addr.ship_addr == ""){
        //     // app.toast(app.tips.addr_addr);
        //     // return false;
        // }else if($rootScope.default_addr.ship_area == null || $rootScope.default_addr.ship_area==""){
        //     app.toast(app.tips.addr_area);
        //     return false;
        // }
        httpLoading.interFace(app.interface_url,'new_save_address',obj).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                location="#/address";
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };

    $scope.load = function(){
        app.handle_page_css($scope.pageClass);
        app.getFontSize();
    };
    $s.load();
});