app_angular.register.controller('add_friendCtrl',function($scope,$rootScope,$ionicHistory,$http,$location,$ionicPopup,httpLoading,$timeout,$ionicScrollDelegate,$window,$ionicModal,$state){
   
	var $s = $scope;
    $s.m = {};
    var m = $s.m;
    m.modalTitle="选择分组"
    m.groups=[{name:'组1',id:1},{name:'组2',id:2},{name:'组3',id:3},{name:'组4',id:4}]
    m.groupsSelect=m.groups[0]
    $s.groups=   function() {
        httpLoading.interFace(app.interface_url,'member_get_group','').then(function(interface_data){
            var data = app.filter_interface(interface_data);
            // console.log(data);
            if(data.status == "succ"){
                $scope.groups = data.response;
                $scope.groupsSelect = $scope.groups[0];
            }else{
                app.toast(data.message);
            }
        },function(error){
        });
    }
    $s.groups();
    $s.user_info = function(){
        var uid = $location.search().uid;
        var uid = {'user_id':uid};
        httpLoading.interFace(app.interface_url,'user_info',uid).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.user = data.response;
            }else{
                app.toast(data.message);
            }
        },function(error){
        });
	}
	$s.user_info();

	$ionicModal.fromTemplateUrl('templates/groupingModal.html', {scope: $s,animation: 'slide-in-right'})
    .then(function(modal) {
        m.grouping = modal;
    });

    $s.popup_add_show=function(){
		m.popup_edit = $ionicPopup.show({
			// templateUrl:'templates/popGroups.html',
			template: '<input type="text" ng-model="m.groupName" placeholder="分组名">',
			title: '添加分组',
			scope: $s,
			cssClass:'group_pop',
			buttons: [
				{ 
					text: '取消',
					type:'button-light',
				},
				{
					text: '添加',
					type: 'button-assertive',
					onTap: function(e) {
                        $s.create_group = function(){
                            var name = {'name':m.groupName};
                            httpLoading.interFace(app.interface_url,'create_group',name).then(function(interface_data){
                                var data = app.filter_interface(interface_data);
                                if(data.status == "succ"){
                                    $scope.user = data.response;
                                }else{
                                    app.toast(data.message);
                                }
                            },function(error){
                            });
                        }
                        $s.create_group();
						return "success"
					}
				}
			]
		});
		m.popup_edit.then(function(res) {
			if(res=='success'){
				m.groupName="";
				m.groups=[{name:'组1',id:1},{name:'组2',id:2},{name:'组3',id:3},{name:'组4',id:4},{name:'组5',id:5}]
                httpLoading.interFace(app.interface_url,'member_get_group','').then(function(interface_data){
                    var data = app.filter_interface(interface_data);
                    if(data.status == "succ"){
                        $scope.groups = data.response;
                        // $scope.groupsSelect = $scope.groups[0];
                        $scope.groupsSelect = $scope.groups[$scope.groups.length-1];
                    }else{
                        app.toast(data.message);
                    }
                },function(error){
                });

				$scope.user_info();

				m.grouping.hide()
			}
		});
	}

    $scope.saveFriend = function(){
    	var group_id = $scope.groupsSelect.group_id;
    	var params = {'group_id':group_id,'friend_id':$location.search().uid}
        httpLoading.interFace(app.interface_url,'insert_friend',params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                app.toast(data.message);
                location="#/message";
            }else{
                app.toast(data.message);
            }
        },function(error){
        });
    }

	$s.selectGrop=function(group){
		$s.groupsSelect=group;
		m.grouping.hide()
	}

    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };

    $scope.load()
    
});