app_angular.register.controller('forget_phoneCtrl',function($scope,$rootScope,$http,$location,httpLoading,$state,$interval){
    $scope.pageClass="forget_phone";
    $rootScope.currency = app.tips.currency; //货币符号
    $scope.mobile="";
    $scope.description = '获取验证码';
    $scope.send_v_code=function(){
        if($scope.username  == null){
            // app.toast(app.tips.reg_mobile_null);
            app.toast('请输入手机号');
            return false;
        }
        if($scope.canClick == true){
            app.toast('请稍后再试');
            return false;
        }
        $rootScope.mobile_phone = $scope.username;
        $scope.lang = localStorage.getItem("langKey");
        httpLoading.interFace(app.interface_url,'lost_send_vcode',{mobile_phone:$scope.username,lang:$scope.lang}).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.canClick=false;

                var timerHandler;
                var second=59;

                timerHandler =$interval(function(){
                    if(second<=0){

                        $interval.cancel(timerHandler);    //当执行的时间59s,结束时，取消定时器 ，cancle方法取消
                        second=59;
                        $scope.description='获取验证码';
                        $scope.canClick=false;    //因为 ng-disabled属于布尔值，设置按钮可以点击，可点击发送
                    }else{

                        $scope.description=second+"s"+ '重新发送';
                        second--;
                        $scope.canClick=true;
                    }
                },1000)   //每一秒执行一次$interval定时器方法
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };

    $scope.change_pwd = function(){
        if($scope.vcode == null){
            app.toast(app.tips.check_sms_code);
         }else{
            $scope.lang = localStorage.getItem("langKey");
            var obj = {
                mobile    : $scope.username,
                vcode     : $scope.vcode,
                lang      : $scope.lang
            };
            httpLoading.interFace(app.interface_url,'lost_verify_vcode',obj).then(function(interface_data){
                var data = app.filter_interface(interface_data);
                if(data.status == "succ"){
                    localStorage.setItem("member_id",data.response.member_id);
                    sessionStorage.setItem("accesstoken",data.response.accesstoken);
                    location="#/reset_password";
                }else{
                    app.toast(data.message);
                }
            },function(error){});
       }
    };


    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };   
});