app_angular.register.controller('messageCtrl',function($scope,$rootScope,$ionicHistory,$http,$location,httpLoading,$ionicModal,$timeout,$ionicPopup,$ionicScrollDelegate,$window,$state){
    $rootScope.currency = app.tips.currency; //货币符号
    
    $scope.username = null;
    $scope.password = null;

	var $s = $scope;
    $s.m = {};
    var m = $s.m;

    m.modalTitle="移动分组"
    if(window.localStorage.msgTab){
        m.tab=window.localStorage.msgTab;
        window.localStorage.removeItem('msgTab')
    }else{
        m.tab=0
    }

   
    $s.back=function(){
        $ionicHistory.goBack(-1)
    }

    var member_id = localStorage.getItem("member_id");
    if (app.isNull(member_id)) {
        location="#/login";
        return false;
    }
    m.groups=[{name:'组A',id:1},{name:'组B',id:2},{name:'组C',id:3},{name:'组D',id:4}]
    $s.friendgroups=   function() {
        httpLoading.interFace(app.interface_url,'member_get_friends','').then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.friends = data.response;
                // console.log($scope.friends );
            }else{
                app.toast(data.message);
            }
        },function(error){
        });
    }
    $s.friendgroups();

    $s.groups = function(){
        httpLoading.interFace(app.interface_url,'member_get_group','').then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.groups = data.response;
                // console.log($scope.friends );
            }else{
                app.toast(data.message);
            }
        },function(error){
        });
    }
    $s.groups();
    m.friendgroups={
    // m.groups={
        组A:{list:[{img:'img/1.png',name:'阿鲁巴',last:'阿斯蒂芬'},{img:'img/1.png',name:'JOJO',last:'阿斯蒂芬'}],selected:true},
        组B:{list:[{img:'img/1.png',name:'阿鲁巴',last:'阿斯蒂芬'},{img:'img/1.png',name:'JOJO',last:'阿斯蒂芬'}],selected:false},
        组C:{list:[{img:'img/1.png',name:'阿鲁巴',last:'阿斯蒂芬'},{img:'img/1.png',name:'JOJO',last:'阿斯蒂芬'}],selected:false},

        组A1:{list:[{img:'img/1.png',name:'阿鲁巴',last:'阿斯蒂芬'},{img:'img/1.png',name:'JOJO',last:'阿斯蒂芬'}],selected:false},
        组B1:{list:[{img:'img/1.png',name:'阿鲁巴',last:'阿斯蒂芬'},{img:'img/1.png',name:'JOJO',last:'阿斯蒂芬'}],selected:false},
        组C1:{list:[{img:'img/1.png',name:'阿鲁巴',last:'阿斯蒂芬'},{img:'img/1.png',name:'JOJO',last:'阿斯蒂芬'}],selected:false},

        组A2:{list:[{img:'img/1.png',name:'阿鲁巴',last:'阿斯蒂芬'},{img:'img/1.png',name:'JOJO',last:'阿斯蒂芬'}],selected:false},
        组B2:{list:[{img:'img/1.png',name:'阿鲁巴',last:'阿斯蒂芬'},{img:'img/1.png',name:'JOJO',last:'阿斯蒂芬'}],selected:false},
        组C2:{list:[{img:'img/1.png',name:'阿鲁巴',last:'阿斯蒂芬'},{img:'img/1.png',name:'JOJO',last:'阿斯蒂芬'}],selected:false},

        组A3:{list:[{img:'img/1.png',name:'阿鲁巴',last:'阿斯蒂芬'},{img:'img/1.png',name:'JOJO',last:'阿斯蒂芬'}],selected:false},
        组B3:{list:[{img:'img/1.png',name:'阿鲁巴',last:'阿斯蒂芬'},{img:'img/1.png',name:'JOJO',last:'阿斯蒂芬'}],selected:false},
        组C3:{list:[{img:'img/1.png',name:'阿鲁巴',last:'阿斯蒂芬'},{img:'img/1.png',name:'JOJO',last:'阿斯蒂芬'}],selected:false}
    }
    $ionicModal.fromTemplateUrl('templates/groupingModal.html', {scope: $s,animation: 'slide-in-right'})
    .then(function(modal) {
        m.grouping = modal;
    });
    $s.management=function(event){
        event.stopPropagation()

        location="#/group_management"
    }
    $s.groupingShow=function(key,event,val){
        event.stopPropagation()
            angular.forEach(m.groups,function(item,i){
                if(item.name==key){
                    $scope.groupsSelect=m.groups[i]
                }
        })
        for(let k in $scope.groups) {
            $scope.groups[k]['friend_id']=val.friend_id;
        }
        m.grouping.show()
    }
    $s.totalk=function(event,friend_id){
        event.stopPropagation()
        location="#/talk?uid="+friend_id;
    }
    $s.showGroup=function(val){
        val.selected=!val.selected
        $ionicScrollDelegate.resize()
    }
    $s.popup_add_show=function(){
        m.popup_edit = $ionicPopup.show({
            // templateUrl:'templates/popGroups.html',
            template: '<input type="text" ng-model="m.groupName" placeholder="分组名">',
            title: '添加分组',
            scope: $s,
            cssClass:'group_pop',
            buttons: [
                { 
                    text: '取消',
                    type:'button-light',
                },
                {
                    text: '添加',
                    type: 'button-assertive',
                    onTap: function(e) {
                        return "success"
                    }
                }
            ]
        });
        m.popup_edit.then(function(res) {
            if(res=='success'){
                m.groups=[{name:'组A',id:1},{name:'组B',id:2},{name:'组C',id:3},{name:'组D',id:4},{name:'组E',id:5}]
                m.groupsSelect=m.groups[m.groups.length-1]
                m.grouping.hide()
            }
        });
    }
    $s.selectGrop=function(group){
        $scope.groupsSelect=group;
        var params = {'friend_id':group.friend_id,'group_name':group.group_name}
        httpLoading.interFace(app.interface_url,'update_friend_group',params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                // $scope.groups = data.response;
                app.toast(data.message);
                // console.log($scope.friends );
            }else{
                app.toast(data.message);
            }
        },function(error){
        });
        $scope.friendgroups();
        m.grouping.hide()
    }
// -----------------------------------------------------------------------------------------------------------------------------------

    $s.init = function() {
        httpLoading.interFace(app.interface_url,'chat_info','').then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                // console.log(data);
                $scope.chat_list = data.response;
            }else{
                app.toast(data.message);
            }
        },function(error){
        });
    }
    // $s.init();

    $scope.sendContent = function($event, value) {
            // console.log(value)
            var content = value;
            httpLoading.interFace(app.interface_url,'insert_chat',{"content":content}).then(function(interface_data){
                var data = app.filter_interface(interface_data);
                // console.log(data);
                if(data.status == "succ"){
                    $scope.articles = data.response;
                    $s.init();
                    $s.his();
                }else{
                    app.toast(data.message);
                }
            },function(error){
            });

    }


    $scope.gettab = function() {
        // console.log(value)
        httpLoading.interFace(app.interface_url,'member_get_tab','').then(function(interface_data){
            var data = app.filter_interface(interface_data);
            // console.log(data);
            if(data.status == "succ"){
                $scope.tabs = data.response;
            }else{
                // app.toast(data.message);
            }
        },function(error){
        });

    }
    $scope.gettab();

    $scope.system = function() {
        // console.log(value)
        httpLoading.interFace(app.interface_url,'get_system_notification','').then(function(interface_data){
            var data = app.filter_interface(interface_data);
            // console.log(data);
            if(data.status == "succ"){
                $scope.article_count = data.response.count;
                $scope.sys_articles = data.response.params;
                $(".body_inner_text").html(data.response.params[0].content);
            }else{
                // app.toast(data.message);
            }
        },function(error){
        });

    }
    // $scope.system();



    m.swiperTab=[{name:app.tips.wuliu},{name:app.tips.xitong},{name:app.tips.kefu},{name:app.tips.haoyou}]
    m.tabcount=[{count:1},{count:2},{count:2},{count:3}]

    $timeout(function(){
        m.swiper_msg = new Swiper('.swiper_msg', {
            scrollbar:'.swiper-scrollbar',
            scrollbarHide:false,
            initialSlide :m.tab,
            onInit:function(swiper){
                m.currentSwiper=0
            },
            onSlideChangeStart: function(swiper){
                $timeout(function() {
                    m.currentSwiper=swiper.activeIndex
                }, 80);
            }
        })
        $ionicScrollDelegate.$getByHandle('mainScroll').scrollBottom();
    },20)
    
    $s.tabClick=function(index){
        if(index=='2'){
            $scope.init();
            $scope.gettab();
        }
        if(index=='1'){
            $scope.system();
            $scope.gettab();
        }
        $timeout(function() {
             m.currentSwiper=index
             m.swiper_msg.slideTo(index, 300);
        }, 80);
    }




    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };

    $scope.load()
    
});