app_angular.register.controller('my_addInvoiceCtrl',function($scope,$routeParams,$rootScope,$location,httpLoading,$state){
    $scope.pageId = 3;
    $rootScope.currency = app.tips.currency; //货币符号
    $scope.pageClass = app.currentPageLeftOrRight($scope.pageId);
    app.oldPageLeftOrRight($scope.pageClass);
    $scope.pageClass="my_addInvoice";
    $rootScope.invoice = $rootScope.invoice || {}; 
    $scope.invoice.type = 'personal';

    $scope.save_invoices=function(target){
        $("#uploadpic").submit();
        
        $scope.prev_page = sessionStorage.getItem("page_name");
        sessionStorage.removeItem("page_name");
        if($scope.prev_page == "select_region"){
            if($rootScope.invoice.region){
                $rootScope.invoice.ship_area  = "mainland:"+$rootScope.invoice.province+"/"+$rootScope.invoice.city+"/"+$rootScope.invoice.region+":"+$rootScope.invoice.region_id;
            }else{
                $rootScope.invoice.ship_area  = "mainland:"+$rootScope.invoice.province+"/"+$rootScope.invoice.city+":"+$rootScope.invoice.city_id;
            }
        }
        if(app.isNull($rootScope.invoice.title)){
            app.toast(app.tips.piaotaitou);
            return false;
        }else if(app.isNull($rootScope.invoice.tel)){
            app.toast(app.tips.dianhua);
            return false;
        }else if($rootScope.invoice.address == void 0 || $rootScope.invoice.address==""){
            app.toast(app.tips.dizhi);
            return false;
        }
        if($rootScope.invoice.type == 'company'){
            if(app.isNull($rootScope.invoice.ident_number)){
                app.toast(app.tips.nasuiren);
                return false;
            }else if(app.isNull($rootScope.invoice.bank)){
                app.toast(app.tips.kaihuhang);
                return false;
            }else if(app.isNull($rootScope.invoice.account)){
                app.toast(app.tips.zhanghao);
                return false;
            }
        }
        httpLoading.interFace(app.interface_url,'add_fapiao_info',$rootScope.invoice).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                location="#/my_invoice";
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    $scope.change_type = function(type){
        $scope.invoice.type = type;
    };
    $scope.load = function(){
        app.handle_page_css($scope.pageClass);
        app.getFontSize();
    };
});