app_angular.register.controller('ordersCtrl',function($scope,$rootScope,$http,$location,$window,httpLoading,$routeParams,$state,$timeout,$ionicHistory,$ionicScrollDelegate){

    var $s = $scope;
    $s.m = {};
    var m = $s.m;
    
    $s.back=function(){
        // 登录后跳页面可能会用的的参数-------
        // var backView = $ionicHistory.backView()
        // -----------------------
        $ionicHistory.goBack()
    }
    $s.showALL=function(order){
        order.showALL=true
        $ionicScrollDelegate.resize()
    } 

    $s.pingjia=function(order_id){
        location="#/comment?orders_id="+order_id;
    }    
// -----------------------------------------------------------------------------------------------
    //  缓存处理 

    $scope.init = function(){
   
        $scope.orders = [];

        $scope.status =$state.params.orders_type?$state.params.orders_type.substring(1):'all';

        

        // $scope.status = $routeParams.orders_type?$routeParams.orders_type.substring(1):'all';
        $scope.params = {page:1,pagelimit:10,member_id:member_id,status:$scope.status};
        httpLoading.interFace(app.interface_url,'get_member_order',$scope.params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.orders = data.response.orderData;
                $scope.lang = localStorage.getItem("langKey");
                $timeout(function(){
                    var width=jq("."+$scope.status+" span").outerWidth();
                    var offsetLeft=jq("."+$scope.status+" span").offset().left
                    jq(".tabBar").css({"transform":"translateX("+offsetLeft+"px)","width":width})
                    jq(".tabBar").show()
                },0)
                $ionicScrollDelegate.resize()
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    $scope.$on('$locationChangeStart',function(event,next,current){ //准备离开页面
        $scope.set_cache();
    });

    $scope.pageId = 2;
    $rootScope.currency = app.tips.currency; //货币符号
    // $scope.pageClass = app.currentPageLeftOrRight($scope.pageId);
    // app.oldPageLeftOrRight($scope.pageClass);
    //$scope.pageClass="orders";

    var member_id   = localStorage.getItem("member_id");
    if(app.isNull(member_id)){location="#/login"; return false;}
    $scope.fixed_number = app.fixed_number;

    // $scope.is_history_back = app.is_history_back();
    // if($scope.is_history_back){  //是缓存
    //     $scope.get_cache();
    // }else{
    //     $scope.init();
    // }

    $s.moreDataCanBeLoaded=function(){
        if($scope.params.page>=$s.total_pages){
            return false;
        }
        else{
            return true;
        }
    }
    $scope.loadMore = function(){
        $scope.params.page++;
        httpLoading.interFace(app.interface_url,'get_member_order',$scope.params).then(function(interface_data){
            var data = app.filter_interface(interface_data);

            if(data.status == "succ"){
                if(data.response.orderData != void 0){
                    $scope.orders = $scope.orders.concat(data.response.orderData);
                    $s.total_pages=data.response.pager_total
                    $scope.$broadcast('scroll.infiniteScrollComplete')
                }
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    $scope.goDetail = function(currentTarget){
        location="#/order_detail?orders_id="+currentTarget.order_id;
    };
    $scope.go_pay = function(event){
        var currentTarget = event.currentTarget;
        event.preventDefault();
        event.stopPropagation();
        var order_id = $(currentTarget).data("order-id");
        var total = $(currentTarget).data("total");
        location="#/pay_order?order_id="+order_id+"&total="+total;
    };
    $scope.queren = function(order_id){

        httpLoading.interFace(app.interface_url,'queren_order',{"order_id":order_id}).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                app.toast(data.message);
                location = '#/orders';
            }else{
                app.toast(data.message);
            }
        },function(error){});     
    };

        
    $scope.cancel_order = function(event){
        var currentTarget = event.currentTarget;
        event.preventDefault();
        event.stopPropagation();
        var order_id = $(currentTarget).data("order-id");
        var index = $(currentTarget).data("index");
        httpLoading.interFace(app.interface_url,'cancel_order',{"order_id":order_id}).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.orders[index].status = 'dead';
            }else{
                app.toast(data.message);
            }
        },function(error){});        
    };
    $scope.user_finish_order = function(event){
        var currentTarget = event.currentTarget;
        event.preventDefault();
        event.stopPropagation();
        var order_id = $(currentTarget).data("order-id");
        var index = $(currentTarget).data("index");
        app.confirm(app.tips.queding,{
            cancel:function(){
                return false;
            },
            confirm:function(){
                httpLoading.interFace(app.interface_url,'queren_order',{"order_id":order_id}).then(function(interface_data){
                    var data = app.filter_interface(interface_data);
                    if(data.status == "succ"){
                        $scope.orders[index].status = 'finish';
                    }else{
                        app.toast(data.message);
                    }
                },function(error){});                 
            }
        });
    };
    $scope.sele_status = function(status,event){
        $timeout(function(){
            jq(".tabBar").css({"transform":"translateX("+event.currentTarget.children[0].offsetLeft+"px)","width":event.currentTarget.children[0].offsetWidth})
        },0)
  
        $scope.status = status;
        $scope.params.page = 1;
        document.body.scrollTop = 0;
        var params = {orderby:"DESC",status:$scope.status};
        $scope.params = $.extend({},$scope.params,params);
        httpLoading.interFace(app.interface_url,'get_member_order',$scope.params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.orders = data.response.orderData;
                $ionicScrollDelegate.resize()
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
        $scope.init();
       
    };    
    $s.load()
});