app_angular.register.controller('pay_orderCtrl',function($scope,$routeParams,$rootScope,$location,httpLoading,$state,$window){
    $scope.pageId = 5;
    $rootScope.currency = app.tips.currency; //货币符号
    $scope.pageClass = app.currentPageLeftOrRight($scope.pageId);
    app.oldPageLeftOrRight($scope.pageClass);
    $scope.order_id = app.isNull($location.search().order_id) ? 0 : $location.search().order_id;
    $scope.isPayShow = false;
    httpLoading.interFace(app.interface_url,'get_member_order_details',{order_id:$scope.order_id,member_id:localStorage.getItem("member_id")}).then(function(interface_data){
        var data = app.filter_interface(interface_data);
        if(data.status == "succ"){
            $scope.pay_order = data.response;

            var pay_id = $scope.pay_order.payinfo.pay_id
            if(pay_id=='2'){
                $scope.get_card();
            }
            if($scope.pay_order.pay_status == 0){
                $scope.pay_app_id = $scope.pay_order.payinfo.pay_app_id;
                var lang = localStorage.getItem('langKey')
                httpLoading.interFace(app.interface_url,'get_checkout_payments',{'lang':lang}).then(function(interface_data){
                    var data = app.filter_interface(interface_data);
                    if(data.status == "succ"){
                        $scope.payment_list = data.response;
                    }else{
                        app.toast(data.message);
                    }
                },function(error){});   
            }
        }else{
            app.toast(data.message);
        }
    },function(error){});
$scope.get_card = function(params){
    httpLoading.interFace(app.interface_url,'get_card',params).then(function(interface_data){
        var data = app.filter_interface(interface_data);
        if(data.status == "succ"){
            $scope.card_info = data.response;
            $scope.dis = true;
            $scope.pending = false;
        }else{
            // app.toast(data.message);
            $scope.card_info =[];
            $scope.dis = false;
            $scope.pending = false;
        }
    },function(error){});
}
    $scope.goalipay = function() {
        httpLoading.interFace(app.interface_url, "alipay_pay", {
            order_id:$scope.order_id
        }).then(function(interface_data) {
            var data = app.filter_interface(interface_data);
            if (data.status == "succ") {
                var pay_info = data.response;
// 第二步：调用支付插件            
cordova.plugins.alipay.payment(pay_info.payInfo,function success(e){
                    if (e.resultStatus == "9000") {
                        location="#/order_detail?orders_id="+$scope.order_id;
                    }
},function error(e){});

 //e.resultStatus  状态代码  e.result  本次操作返回的结果数据 e.memo 提示信息
 //e.resultStatus  9000  订单支付成功 ;8000 正在处理中  调用function success
 //e.resultStatus  4000  订单支付失败 ;6001  用户中途取消 ;6002 网络连接出错  调用function error
 //当e.resultStatus为9000时，请去服务端验证支付结果
            /**
             * 同步返回的结果必须放置到服务端进行验证（验证的规则请看https://doc.open.alipay.com/doc2/
             * detail.htm?spm=0.0.0.0.xdvAU6&treeId=59&articleId=103665&
             * docType=1) 建议商户依赖异步通知
             */
            } else {
                app.toast(data.message);
            }
        }, function(error) {});
    };
    $scope.gowechat = function() {
        httpLoading.interFace(app.interface_url, "wechat_pay", {
            order_id:$scope.order_id
        }).then(function(interface_data) {
            var data = app.filter_interface(interface_data);
            if (data.status == "succ") {
                var pay_info = data.response;
            var params = {
                //商户号
                partnerid: pay_info.partnerid, // merchant id
                //预支付交易会话ID
                prepayid: pay_info.prepayid, // prepay id
                //随机字符串
                noncestr: pay_info.noncestr, // nonce
                //时间戳
                timestamp: pay_info.timestamp, // timestamp
                //签名
                sign: pay_info.sign, // signed string
                //Sign=WXPay
                package: pay_info.package,
                //appid
                appid: pay_info.appid,
            };
            Wechat.sendPaymentRequest(params, function () {
                // alert("Success");
                //支付成功
                location="#/order_detail?orders_id="+$scope.order_id;
            }, function (reason) {
                 app.toast(reason);
                //支付失败
            });


            } else {
                app.toast(data.message);
            }
        }, function(error) {});
    };
    $scope.goOffline = function(target){
        var pay_brief = $(target).data("pay-brief");
        var payment_name = $(target).data("payment-name");
        $scope.pay_app_id = "offline";
        $scope.pay_order.payinfo.pay_name = payment_name;
        app.alert(pay_brief);

    };
    var $p_code;
    var $s_code;

    $scope.jumpToDetail = function (){
        $location.path('/order_detail').search({
            orders_id: $scope.pay_order.order_id
        })
    }
    $scope.payNow = function(orderid,payappid){

        //pay_id 4为支付宝支付  3为微信支付 6为预存款支付 2 云卡通支付
        var order_id    = orderid;
        var pay_app_id  = payappid;
   if (pay_app_id == "3") {
             $scope.gowechat();
        } else if (pay_app_id == "4") {
            $scope.goalipay();
        } else if (pay_app_id == "6") {
            $scope.goOffline(target);
        } else if (pay_app_id == "2") {
       $scope.pending = true;
       $scope.get_card()
       if(!angular.isDefined($scope.card_info)){
           $scope.get_card()
       }

       var member_id = localStorage.getItem('member_id')
       $p_code = $scope.card_info.p_code;
       $s_code = $scope.card_info.s_code;
       if(!$p_code || !$s_code){
           app.toast('请填写卡号和安全码');
           return false;
       }
       var ky_params = {
           'order_sn': order_id,
           'member_id': member_id,
           'p_code' : $p_code,
           's_code' : $s_code,
       };
       httpLoading.interFace(app.interface_url,'ky_pay',ky_params).then(function(interface_data){
           var data = app.filter_interface(interface_data);
           if(data.status == "succ"){
               $location.path("/finish_order").search({
                   order_id:data.response.order_id,
                   total:data.response.order_amount
               });
           }else{
               app.toast(data.message);
           }
       },function(error){});

       // location.href='#/ky_pay'
        } else {
            if ($scope.pay_order.order_tid == "1") {
                httpLoading.interFace(app.interface_url, "pay_now", {
                    hb_id:$scope.hb_id,
                    pay_app_id:pay_app_id,
                    order_id:order_id
                }).then(function(interface_data) {
                    var data = app.filter_interface(interface_data);
                    if (data.status == "succ") {
                        $location.path("/finish_order").search({
                            order_id:data.response.order_id,
                            total:data.response.amount
                        });
                    } else {
                        app.toast(data.message);
                    }
                }, function(error) {});
            } else {
                httpLoading.interFace(app.interface_url, "pay_now", {
                    pay_app_id:pay_app_id,
                    order_id:order_id
                }).then(function(interface_data) {
                    var data = app.filter_interface(interface_data);
                    if (data.status == "succ") {
                        $location.path("/finish_order").search({
                            order_id:data.response.order_id,
                            total:data.response.amount
                        });
                    } else {
                        app.toast(data.message);
                    }
                }, function(error) {});
            }
        }
    };
    $scope.show_pay = true;
    $scope.change_pay = function()
    {
        $scope.show_pay ? $scope.show_pay=false : $scope.show_pay=true;
    }

    $scope.change_payment = function(a,b,c){
        var params = {'order_id':a,'pay_id':b,'pay_name':c};
        httpLoading.interFace(app.interface_url,'change_payment',params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                app.handle_page_css();
                app.getFontSize();
                $window.location.reload();
                app.toast(data.message);
            }else{
                app.toast(data.message);
            }
        },function(error){});
    }


    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };
});