app_angular.register.controller('register_pwdCtrl',function($scope,$rootScope,$http,$location,httpLoading,$routeParams,$state){
    $scope.pageClass = "register_pwdCtrl";
    $scope.mobile = $location.search().mobile;
    $scope.chn      =  $location.search().chn;
    $scope.password = null;
    $scope.repassword = null;
    $scope.isread   = true;

    $scope.do_register=function(){
        if(!app.validate.password($scope.password)){
            app.toast(app.tips.reg_check_password);
            return false;
        }else if($scope.repassword == null){
            app.toast(app.tips.reg_check_repassword);
            return false;
        }else if($scope.password != $scope.repassword){
            app.toast(app.tips.reg_not_equal_pass);
            return false;
        }
        $scope.isread = $scope.isread ? 'true': 'false';
        var reg_message = {username:$scope.mobile,password:$scope.password,verifycode:$scope.chn};
        localStorage.setItem("md5Password",$.md5($scope.password));
        reg_message.lang = localStorage.getItem("langKey");
        httpLoading.interFace(app.interface_url,'create_member_info',reg_message).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                sessionStorage.setItem("accesstoken",data.response.accesstoken);
                localStorage.setItem("member_id",data.response.member_id);
                sessionStorage.setItem("member_lv_id",data.response.member_lv_id);
                localStorage.setItem("uname",data.response.uname);
                sessionStorage.setItem("cart_nums",data.response.cart_total);
                location="#/all"; 
            }else{
                app.toast(data.message);
            }
        },function(error){});
    }

    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };
});