app_angular.register.controller('reset_passwordCtrl',function($scope,$routeParams,$rootScope,$http,$location,httpLoading,$state){
    $scope.pageClass="reset_password";
    $scope.password = null;
    $scope.repassword = null;
    $scope.member_id = null;
    $scope.change_password = function(){
        if(!app.validate.password($scope.password)){
            app.toast(app.tips.reg_check_password);
        }else if($scope.repassword == null){
            app.toast(app.tips.reg_check_repassword);
        }else if($scope.password != $scope.repassword){
            app.toast(app.tips.reg_not_equal_pass);
        }else{  
            $scope.lang = localStorage.getItem("langKey"); 
            var obj = {
                password  : $scope.password,
                lang      : $scope.lang
            };
            httpLoading.interFace(app.interface_url,'lost_reset_password',obj).then(function(interface_data){
                var data = app.filter_interface(interface_data);
                if(data.status == "succ"){
                    alert(data.message);
                    app.toast(data.message);
                    location="#/login";
                }else{
                    app.toast(data.message);
                }
            },function(error){});
        }
    };
    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };   
});