app_angular.register.controller('reset_paypasswordCtrl', function ($scope, $rootScope, $route, $routeParams, $http, $location, httpLoading, $state) {
    app.loadcss(app.css.reset_paypassword_css + app.version);
    app.loadjs(app.js.md5_js + app.version);
    $scope.load = function () {
        app.handle_page_css();
        app.getFontSize();
    };


    $scope.set_pay_password = function(){
        if($scope.pay_password == null){
            app.toast(app.tips.pay_password);
        }else if($scope.re_pay_password == null){
            app.toast(app.tips.re_pay_password);
        }else if($scope.pay_password.length < 4){
            app.toast(app.tips.pay_password_4);
        }else if($scope.re_pay_password != $scope.pay_password){
            app.toast(app.tips.pay_password_not);
        }else{
            var user_message = {"pay_password":$scope.pay_password};
            httpLoading.interFace(app.interface_url,'set_pay_password',user_message).then(function(interface_data){
                var data = app.filter_interface(interface_data);
                if(data.status == "succ"){
                    app.toast(data.message);
                    location="#/payment_manage";
                }else{
                    app.toast(data.message);
                }  
            },function(error){});
        }  
    };
})