app_angular.register.controller('wallet_rechargeCtrl', function ($scope, $rootScope, $route, $routeParams, $http, $location, httpLoading, $state) {
    app.loadcss(app.css.wallet_recharge_css + app.version);
    app.loadjs(app.js.md5_js + app.version);
    $scope.load = function () {
        app.handle_page_css();
        app.getFontSize();
    }
    $scope.isactive=false;
    $scope.showModel=function(){
        this.isactive=true;
        $scope.params = {page:1,pagelimit:10,card_id:$scope.card_id};
        httpLoading.interFace(app.interface_url,'get_bankcard_list',$scope.params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.bankcard_list = data.bankcard_list;
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    
    $scope.change_cards = function(target){
        var J_target = $(target);
        $scope.bankcard.str = J_target.data("bank_str");
        $scope.bank_card_type = J_target.data("bank_card_type");
        $scope.card_id = J_target.data("card_id");
        $scope.isactive=false;
    };
    var obj = {
        "member_id" : localStorage.getItem("member_id")
    };
    $scope.init = function(){
        $scope.lang = localStorage.getItem("langKey");
        httpLoading.interFace(app.interface_url,'get_member_withdraw',{obj,lang:$scope.lang}).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.userinfo = data.userinfo;
                $scope.bankcard = data.bankcard;
                $scope.card_id = data.bankcard.card_id;
            }else{
                app.toast(data.message);
                location="#/bankcard_list";
            }
        });
    };
    $scope.donext = function(){
        location="#/other_recharge?card_id="+$scope.card_id+'&money='+$scope.money;
    };
    $scope.init();
    $scope.gourl = function(url){
        location="#/"+url;
    };
})